SOURCES_CORE := $(CORE_DIR)/ActionReplay.cpp \
                $(CORE_DIR)/ARDecrypt.cpp \
                $(CORE_DIR)/BootManager.cpp \
                $(CORE_DIR)/ConfigManager.cpp \
                $(CORE_DIR)/Core.cpp \
                $(CORE_DIR)/CoreTiming.cpp \
                $(CORE_DIR)/DSPEmulator.cpp \
                $(CORE_DIR)/ec_wii.cpp \
                $(CORE_DIR)/GeckoCodeConfig.cpp \
                $(CORE_DIR)/GeckoCode.cpp \
                $(CORE_DIR)/MemTools.cpp \
                $(CORE_DIR)/Movie.cpp \
                $(CORE_DIR)/PatchEngine.cpp \
                $(CORE_DIR)/State.cpp \
                $(CORE_DIR)/WiiRoot.cpp \
                $(CORE_DIR)/Boot/Boot_BS2Emu.cpp \
                $(CORE_DIR)/Boot/Boot.cpp \
                $(CORE_DIR)/Boot/Boot_DOL.cpp \
                $(CORE_DIR)/Boot/Boot_ELF.cpp \
                $(CORE_DIR)/Boot/Boot_WiiWAD.cpp \
                $(CORE_DIR)/Boot/ElfReader.cpp \
                $(CORE_DIR)/Debugger/Debugger_SymbolMap.cpp \
                $(CORE_DIR)/Debugger/Dump.cpp \
                $(CORE_DIR)/Debugger/PPCDebugInterface.cpp \
                $(CORE_DIR)/DSP/DSPAssembler.cpp \
                $(CORE_DIR)/DSP/DSPDisassembler.cpp \
                $(CORE_DIR)/DSP/DSPAccelerator.cpp \
                $(CORE_DIR)/DSP/DSPCaptureLogger.cpp \
                $(CORE_DIR)/DSP/DSPHWInterface.cpp \
                $(CORE_DIR)/DSP/DSPMemoryMap.cpp \
                $(CORE_DIR)/DSP/DSPStacks.cpp \
                $(CORE_DIR)/DSP/DSPAnalyzer.cpp \
                $(CORE_DIR)/DSP/LabelMap.cpp \
                $(CORE_DIR)/DSP/DSPCodeUtil.cpp \
                $(CORE_DIR)/DSP/DSPCore.cpp \
                $(CORE_DIR)/DSP/DSPTables.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPIntArithmetic.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPIntBranch.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPIntCCUtil.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPInterpreter.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPIntExtOps.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPIntLoadStore.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPIntMisc.cpp \
                $(CORE_DIR)/DSP/Interpreter/DSPIntMultiplier.cpp \
                $(CORE_DIR)/DSP/Jit/DSPEmitter.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitArithmetic.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitBranch.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitCCUtil.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitExtOps.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitLoadStore.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitMisc.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitMultiplier.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitRegCache.cpp \
                $(CORE_DIR)/DSP/Jit/DSPJitUtil.cpp \
                $(CORE_DIR)/FifoPlayer/FifoAnalyzer.cpp \
                $(CORE_DIR)/FifoPlayer/FifoDataFile.cpp \
                $(CORE_DIR)/FifoPlayer/FifoPlaybackAnalyzer.cpp \
                $(CORE_DIR)/FifoPlayer/FifoPlayer.cpp \
                $(CORE_DIR)/FifoPlayer/FifoRecordAnalyzer.cpp \
                $(CORE_DIR)/FifoPlayer/FifoRecorder.cpp \
                $(CORE_DIR)/HLE/HLE.cpp \
                $(CORE_DIR)/HLE/HLE_Misc.cpp \
                $(CORE_DIR)/HLE/HLE_OS.cpp

SOURCES_CORE_HW := $(CORE_DIR)/HW/AudioInterface.cpp \
                   $(CORE_DIR)/HW/CPU.cpp \
                   $(CORE_DIR)/HW/DSP.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/AX.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/AXWii.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/CARD.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/GBA.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/INIT.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/ROM.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/UCodes.cpp \
                   $(CORE_DIR)/HW/DSPHLE/UCodes/Zelda.cpp \
                   $(CORE_DIR)/HW/DSPHLE/MailHandler.cpp \
                   $(CORE_DIR)/HW/DSPHLE/DSPHLE.cpp \
                   $(CORE_DIR)/HW/DSPLLE/DSPHost.cpp \
                   $(CORE_DIR)/HW/DSPLLE/DSPSymbols.cpp \
                   $(CORE_DIR)/HW/DSPLLE/DSPLLE.cpp \
                   $(CORE_DIR)/HW/DSPLLE/DSPLLETools.cpp \
                   $(CORE_DIR)/HW/DVD/DVDInterface.cpp \
                   $(CORE_DIR)/HW/DVD/DVDMath.cpp \
                   $(CORE_DIR)/HW/DVD/DVDThread.cpp \
                   $(CORE_DIR)/HW/DVD/FileMonitor.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_Channel.cpp \
                   $(CORE_DIR)/HW/EXI/EXI.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_Device.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_DeviceAD16.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_DeviceAGP.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_DeviceDummy.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_DeviceEthernet.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_DeviceGecko.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_DeviceIPL.cpp \
                   $(CORE_DIR)/HW/EXI/EXI_DeviceMemoryCard.cpp \
                   $(CORE_DIR)/HW/EXI/BBA-TAP/TAP_Unix.cpp \
                   $(CORE_DIR)/HW/GCKeyboard.cpp \
                   $(CORE_DIR)/HW/GCKeyboardEmu.cpp \
                   $(CORE_DIR)/HW/GCMemcard/GCMemcard.cpp \
                   $(CORE_DIR)/HW/GCMemcard/GCMemcardDirectory.cpp \
                   $(CORE_DIR)/HW/GCMemcard/GCMemcardRaw.cpp \
                   $(CORE_DIR)/HW/GPFifo.cpp \
                   $(CORE_DIR)/HW/HW.cpp \
                   $(CORE_DIR)/HW/Memmap.cpp \
                   $(CORE_DIR)/HW/MemoryInterface.cpp \
                   $(CORE_DIR)/HW/MMIO.cpp \
                   $(CORE_DIR)/HW/ProcessorInterface.cpp \
                   $(CORE_DIR)/HW/SI/SI.cpp \
                   $(CORE_DIR)/HW/SI/SI_Device.cpp \
                   $(CORE_DIR)/HW/SI/SI_DeviceDanceMat.cpp \
                   $(CORE_DIR)/HW/SI/SI_DeviceGBA.cpp \
                   $(CORE_DIR)/HW/SI/SI_DeviceGCController.cpp \
                   $(CORE_DIR)/HW/SI/SI_DeviceGCSteeringWheel.cpp \
                   $(CORE_DIR)/HW/SI/SI_DeviceKeyboard.cpp \
                   $(CORE_DIR)/HW/SI/SI_DeviceNull.cpp \
                   $(CORE_DIR)/HW/Sram.cpp \
                   $(CORE_DIR)/HW/StreamADPCM.cpp \
                   $(CORE_DIR)/HW/SystemTimers.cpp \
                   $(CORE_DIR)/HW/VideoInterface.cpp \
                   $(CORE_DIR)/HW/WII_IPC.cpp \
                   $(CORE_DIR)/HW/Wiimote.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/WiimoteEmu.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/Attachment/Attachment.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/Attachment/Nunchuk.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/Attachment/Drums.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/Attachment/Guitar.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/Attachment/Turntable.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/EmuSubroutines.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/Encryption.cpp \
                   $(CORE_DIR)/HW/WiimoteEmu/Speaker.cpp \
                   $(CORE_DIR)/HW/WiimoteReal/WiimoteReal.cpp

SOURCES_CORE_IOS := $(CORE_DIR)/IOS/Device.cpp \
                    $(CORE_DIR)/IOS/DeviceStub.cpp \
                    $(CORE_DIR)/IOS/IPC.cpp \
                    $(CORE_DIR)/IOS/MIOS.cpp \
                    $(CORE_DIR)/IOS/DI/DI.cpp \
                    $(CORE_DIR)/IOS/ES/ES.cpp \
                    $(CORE_DIR)/IOS/ES/Formats.cpp \
                    $(CORE_DIR)/IOS/ES/Identity.cpp \
                    $(CORE_DIR)/IOS/ES/NandUtils.cpp \
                    $(CORE_DIR)/IOS/ES/TitleContents.cpp \
                    $(CORE_DIR)/IOS/ES/TitleInformation.cpp \
                    $(CORE_DIR)/IOS/ES/TitleManagement.cpp \
                    $(CORE_DIR)/IOS/ES/Views.cpp \
                    $(CORE_DIR)/IOS/FS/FileIO.cpp \
                    $(CORE_DIR)/IOS/FS/FS.cpp \
                    $(CORE_DIR)/IOS/Network/ICMPLin.cpp \
                    $(CORE_DIR)/IOS/Network/MACUtils.cpp \
                    $(CORE_DIR)/IOS/Network/Socket.cpp \
                    $(CORE_DIR)/IOS/Network/SSL.cpp \
                    $(CORE_DIR)/IOS/Network/IP/Top.cpp \
                    $(CORE_DIR)/IOS/Network/KD/NetKDRequest.cpp \
                    $(CORE_DIR)/IOS/Network/KD/NetKDTime.cpp \
                    $(CORE_DIR)/IOS/Network/KD/NWC24Config.cpp \
                    $(CORE_DIR)/IOS/Network/NCD/Config.cpp \
                    $(CORE_DIR)/IOS/Network/NCD/Manage.cpp \
                    $(CORE_DIR)/IOS/Network/WD/Command.cpp \
                    $(CORE_DIR)/IOS/SDIO/SDIOSlot0.cpp \
                    $(CORE_DIR)/IOS/STM/STM.cpp \
                    $(CORE_DIR)/IOS/USB/Common.cpp \
                    $(CORE_DIR)/IOS/USB/Host.cpp \
                    $(CORE_DIR)/IOS/USB/OH0/OH0.cpp \
                    $(CORE_DIR)/IOS/USB/OH0/OH0Device.cpp \
                    $(CORE_DIR)/IOS/USB/USB_HID/HIDv4.cpp \
                    $(CORE_DIR)/IOS/USB/USB_VEN/VEN.cpp \
                    $(CORE_DIR)/IOS/USB/USBV0.cpp \
                    $(CORE_DIR)/IOS/USB/USBV4.cpp \
                    $(CORE_DIR)/IOS/USB/USBV5.cpp \
                    $(CORE_DIR)/IOS/USB/USB_KBD.cpp \
                    $(CORE_DIR)/IOS/USB/Bluetooth/BTBase.cpp \
                    $(CORE_DIR)/IOS/USB/Bluetooth/BTEmu.cpp \
                    $(CORE_DIR)/IOS/USB/Bluetooth/BTStub.cpp \
                    $(CORE_DIR)/IOS/USB/Bluetooth/WiimoteDevice.cpp \
                    $(CORE_DIR)/IOS/USB/Bluetooth/WiimoteHIDAttr.cpp \
                    $(CORE_DIR)/IOS/WFS/WFSSRV.cpp \
                    $(CORE_DIR)/IOS/WFS/WFSI.cpp

SOURCES_CORE_PPC := $(CORE_DIR)/PowerPC/BreakPoints.cpp \
                    $(CORE_DIR)/PowerPC/MMU.cpp \
                    $(CORE_DIR)/PowerPC/PowerPC.cpp \
                    $(CORE_DIR)/PowerPC/PPCAnalyst.cpp \
                    $(CORE_DIR)/PowerPC/PPCCache.cpp \
                    $(CORE_DIR)/PowerPC/PPCSymbolDB.cpp \
                    $(CORE_DIR)/PowerPC/PPCTables.cpp \
                    $(CORE_DIR)/PowerPC/Profiler.cpp \
                    $(CORE_DIR)/PowerPC/SignatureDB/CSVSignatureDB.cpp \
                    $(CORE_DIR)/PowerPC/SignatureDB/DSYSignatureDB.cpp \
                    $(CORE_DIR)/PowerPC/SignatureDB/SignatureDB.cpp \
                    $(CORE_DIR)/PowerPC/JitInterface.cpp \
                    $(CORE_DIR)/PowerPC/CachedInterpreter/CachedInterpreter.cpp \
                    $(CORE_DIR)/PowerPC/CachedInterpreter/InterpreterBlockCache.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_Branch.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_FloatingPoint.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_Integer.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_LoadStore.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_LoadStorePaired.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_Paired.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_SystemRegisters.cpp \
                    $(CORE_DIR)/PowerPC/Interpreter/Interpreter_Tables.cpp \
                    $(CORE_DIR)/PowerPC/JitCommon/JitAsmCommon.cpp \
                    $(CORE_DIR)/PowerPC/JitCommon/JitBase.cpp \
                    $(CORE_DIR)/PowerPC/JitCommon/JitCache.cpp

SOURCES_CORE_PPC_ARM64 := $(CORE_DIR)/PowerPC/JitArm64/JitArm64_BackPatch.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_Branch.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64Cache.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_FloatingPoint.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_Integer.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_LoadStore.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_LoadStoreFloating.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_LoadStorePaired.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_Paired.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_RegCache.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_SystemRegisters.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitArm64_Tables.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/JitAsm.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/Jit.cpp \
                          $(CORE_DIR)/PowerPC/JitArm64/Jit_Util.cpp
