VIDEOBACKENDS_OBJECTS :=

#OGL
VIDEOGL_DIR := $(BASE_DIR)/VideoBackends/OGL
VIDEOGL_OBJECTS :=
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/BoundingBox.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/FramebufferManager.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/main.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/NativeVertexFormat.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/PerfQuery.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/PostProcessing.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/ProgramShaderCache.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/RasterFont.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/Render.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/SamplerCache.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/StreamBuffer.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/TextureCache.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/TextureConverter.o
VIDEOGL_OBJECTS += $(VIDEOGL_DIR)/VertexManager.o

VIDEOBACKENDS_OBJECTS += $(VIDEOGL_OBJECTS)

#Vulkan
ifeq ($(HAVE_VULKAN),1)
   VIDEOVULKAN_DIR := $(BASE_DIR)/VideoBackends/Vulkan
   VIDEOVULKAN_OBJECTS :=
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/BoundingBox.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/CommandBufferManager.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/FramebufferManager.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/ObjectCache.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/PerfQuery.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/RasterFont.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/Renderer.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/ShaderCompiler.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/StateTracker.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/StagingBuffer.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/StagingTexture2D.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/StreamBuffer.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/SwapChain.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/Texture2D.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/TextureCache.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/TextureConverter.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/Util.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/VertexFormat.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/VertexManager.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/VulkanContext.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/VulkanLoader.o
   VIDEOVULKAN_OBJECTS += $(VIDEOVULKAN_DIR)/main.o

   VIDEOBACKENDS_OBJECTS += $(VIDEOVULKAN_OBJECTS)
   DEFINES += -DHAVE_VULKAN
endif

#Software
VIDEOSOFTWARE_DIR := $(BASE_DIR)/VideoBackends/Software
VIDEOSOFTWARE_OBJECTS :=
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/Clipper.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/DebugUtil.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/EfbCopy.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/EfbInterface.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/Rasterizer.o
#VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/SWOGLWindow.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/SWRenderer.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/SWVertexLoader.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/SWmain.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/SetupUnit.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/Tev.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/TextureEncoder.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/TextureSampler.o
VIDEOSOFTWARE_OBJECTS += $(VIDEOSOFTWARE_DIR)/TransformUnit.o

VIDEOBACKENDS_OBJECTS += $(VIDEOSOFTWARE_OBJECTS)

#NULL
VIDEONULL_DIR := $(BASE_DIR)/VideoBackends/Null
VIDEONULL_OBJECTS :=
VIDEONULL_OBJECTS += $(VIDEONULL_DIR)/NullBackend.o
#VIDEONULL_OBJECTS += $(VIDEONULL_DIR)/Render.o
VIDEONULL_OBJECTS += $(VIDEONULL_DIR)/VertexManager.o
VIDEONULL_OBJECTS += $(VIDEONULL_DIR)/ShaderCache.o

VIDEOBACKENDS_OBJECTS += $(VIDEONULL_OBJECTS)

$(call add_lib,videobackends,$(VIDEOBACKENDS_OBJECTS))
