
struct ini_map
{
   const char *id;
   const char *name;

   /* Core */
   struct
   {
      bool value;
      bool enabled;
   } cputhread;

   struct 
   {
      bool value;
      bool enabled;
   } enable_cheats;

   struct
   {
      bool value;
      bool enabled;
   } wii_widescreen;

   struct
   {
      bool value;
      bool enabled;
   } wii_language;
   
   struct
   {
      bool value;
      bool enabled;
   } sync_gpu_on_skip_idle_hack;

   struct
   {
      bool value;
      bool enabled;
   } fprf;

   struct
   {
      bool value;
      bool enabled;
   } accuratenans;

   struct
   {
      bool value;
      bool enabled;
   } mmu;

   struct
   {
      bool value;
      bool enabled;
   } dcbz;

   struct
   {
      bool value;
      bool enabled;
   } low_dcbz_hack;

   struct
   {
      bool value;
      bool enabled;
   } sync_gpu;

   struct
   {
      bool value;
      bool enabled;
   } fast_disc_speed;

   struct
   {
      bool value;
      bool enabled;
   } dsp_hle;

   struct
   {
      int value;
      bool enabled;
   } cpu_core;

   struct
   {
      bool value;
      bool enabled;
   } hle_bs2;

   struct
   {
      bool value;
      bool enabled;
   } progressive_scan;

   struct
   {
      bool value;
      bool enabled;
   } pal60;

   struct
   {
      bool value;
      bool enabled;
   } gamecube_language;

   struct
   {
      float value;
      bool enabled;
   } emulation_speed;

   struct
   {
      unsigned value;
      bool enabled;
   } gpu_determinism_mode;

   struct
   {
      float value;
      bool enabled;
   } overclock;

   struct
   {
      bool value;
      bool enabled;
   } overclock_enable;

   struct
   {
      int value;
      bool enabled;
   } dsp_volume;

   struct
   {
      bool value;
      bool enabled;
   } dsp_enable_jit;
};

struct ini_map maps[] =
{
   {  "Cxxxxx",                                 /* ID */
      "All Virtual Console Commodore 64 games", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "DLSE64",                                 /* ID */
      "Star Wars: Rogue Squadron III: Rebel Strike: Limited Edition Bonus Disc (Demo)", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "DLSP64",                                 /* ID */
      "Star Wars: Rogue Squadron III: Rebel Strike: Limited Edition Bonus Disc (Demo)", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "Exxxxx",                                 /* ID */
      "All Virtual Console Arcade and NeoGeo Virtual Console games", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "EA2EJ8",                                 /* ID */
      "Metal Slug 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA2JJ8",                                 /* ID */
      "Metal Slug 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA2PJ8",                                 /* ID */
      "Metal Slug 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA3JJ8",                                 /* ID */
      "Galaxy Fight: Universal Warriors",       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA4EJ8",                                 /* ID */
      "Samurai Shodown III",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA4JJ8",                                 /* ID */
      "Samurai Shodown III",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA4PJ8",                                 /* ID */
      "Samurai Shodown III",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA5EJ8",                                 /* ID */
      "Fatal Fury 3: Road to the Final Victory",/* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA5JJ8",                                 /* ID */
      "Fatal Fury 3: Road to the Final Victory",/* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA5PJ8",                                 /* ID */
      "Fatal Fury 3: Road to the Final Victory",/* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA6EJ8",                                 /* ID */
      "The King of Fighters '96",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA6JJ8",                                 /* ID */
      "The King of Fighters '96",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA7EJ8",                                 /* ID */
      "Samurai Shodown IV: Amakusa's Revenge",  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA7JJ8",                                 /* ID */
      "Samurai Shodown IV: Amakusa's Revenge",  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA8EJ8",                                 /* ID */
      "Ironclad",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA8JJ8",                                 /* ID */
      "Ironclad",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA8MJ8",                                 /* ID */
      "Ironclad",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EA9EJ8",                                 /* ID */
      "Waku Waku 7",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAAEJ8",                                 /* ID */
      "Fatal Fury",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAAJJ8",                                 /* ID */
      "Fatal Fury",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAAPJ8",                                 /* ID */
      "Fatal Fury",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EABEJ8",                                 /* ID */
      "World Heroes",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EABJJ8",                                 /* ID */
      "World Heroes",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EABPJ8",                                 /* ID */
      "World Heroes",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EACEJ8",                                 /* ID */
      "Magician Lord",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EACJJ8",                                 /* ID */
      "Magician Lord",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EACPJ8",                                 /* ID */
      "Magician Lord",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EADEJ8",                                 /* ID */
      "Art of Fighting",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EADJJ8",                                 /* ID */
      "Art of Fighting",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EADPJ8",                                 /* ID */
      "Art of Fighting",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAEEJ8",                                 /* ID */
      "Samurai Shodown",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAEPJ8",                                 /* ID */
      "Samurai Shodown",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAFEJ8",                                 /* ID */
      "Blue's Journey",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAFJJ8",                                 /* ID */
      "Blue's Journey",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAFPJ8",                                 /* ID */
      "Blue's Journey",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAGEJ8",                                 /* ID */
      "The King of Fighters '94",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAGJJ8",                                 /* ID */
      "The King of Fighters '94",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAGPJ8",                                 /* ID */
      "The King of Fighters '94",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAHEJ8",                                 /* ID */
      "Baseball Stars 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAHJJ8",                                 /* ID */
      "Baseball Stars 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAHPJ8",                                 /* ID */
      "Baseball Stars 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAIEJ8",                                 /* ID */
      "Top Hunter",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAIJJ8",                                 /* ID */
      "Top Hunter",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAIPJ8",                                 /* ID */
      "Top Hunter",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAJEJ8",                                 /* ID */
      "Metal Slug",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAJJJ8",                                 /* ID */
      "Metal Slug",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAJPJ8",                                 /* ID */
      "Metal Slug",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAKEJ8",                                 /* ID */
      "Burning Fight",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAKJJ8",                                 /* ID */
      "Burning Fight",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAKPJ8",                                 /* ID */
      "Burning Fight",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EALEJ8",                                 /* ID */
      "Art Of Fighting 2",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EALJJ8",                                 /* ID */
      "Art Of Fighting 2",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EALPJ8",                                 /* ID */
      "Art Of Fighting 2",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAMEJ8",                                 /* ID */
      "Ninja Combat",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAMJJ8",                                 /* ID */
      "Ninja Combat",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAMPJ8",                                 /* ID */
      "Ninja Combat",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EANEJ8",                                 /* ID */
      "Fatal Fury 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EANJJ8",                                 /* ID */
      "Fatal Fury 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EANPJ8",                                 /* ID */
      "Fatal Fury 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAOEJ8",                                 /* ID */
      "King Of The Monsters",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAOJJ8",                                 /* ID */
      "King Of The Monsters",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAOPJ8",                                 /* ID */
      "King Of The Monsters",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAPEJ8",                                 /* ID */
      "Ninja Commando",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAPJJ8",                                 /* ID */
      "Ninja Commando",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAPPJ8",                                 /* ID */
      "Ninja Commando",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAQEJ8",                                 /* ID */
      "World Heroes 2",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAQJJ8",                                 /* ID */
      "World Heroes 2",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAQJJ8",                                 /* ID */
      "World Heroes 2",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAREJ8",                                 /* ID */
      "Neo Turf Masters",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EARJJ8",                                 /* ID */
      "Neo Turf Masters",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EARPJ8",                                 /* ID */
      "Neo Turf Masters",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EASEJ8",                                 /* ID */
      "Samurai Shodown 2",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EASJJ8",                                 /* ID */
      "Samurai Shodown 2",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EASPJ8",                                 /* ID */
      "Samurai Shodown 2",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EATEJ8",                                 /* ID */
      "World Heroes 2 Jet",                     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EATJJ8",                                 /* ID */
      "World Heroes 2 Jet",                     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAUJJ8",                                 /* ID */
      "Twinkle Star Sprites",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAVEJ8",                                 /* ID */
      "The King of Fighters '95",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAVJJ8",                                 /* ID */
      "The King of Fighters '95",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAVPJ8",                                 /* ID */
      "The King of Fighters '95",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAWEJ8",                                 /* ID */
      "Fatal Fury Special",                     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAWJJ8",                                 /* ID */
      "Fatal Fury Special",                     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAWPJ8",                                 /* ID */
      "Fatal Fury Special",                     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAYJJ8",                                 /* ID */
      "King Of The Monsters 2",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAZEJ8",                                 /* ID */
      "World Heroes Perfect",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EAZJJ8",                                 /* ID */
      "World Heroes Perfect",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB2EJ8",                                 /* ID */
      "Real Bout Fatal Fury Special",           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB2JJ8",                                 /* ID */
      "Real Bout Fatal Fury Special",           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB3JJ8",                                 /* ID */
      "Soccer Brawl",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB4JJ8",                                 /* ID */
      "ASO II: Last Guardian",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB5EJ8",                                 /* ID */
      "The Last Blade",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB5JJ8",                                 /* ID */
      "The Last Blade",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB6EJ8",                                 /* ID */
      "Metal Slug 3",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB6JJ8",                                 /* ID */
      "Metal Slug 3",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB6PJ8",                                 /* ID */
      "Metal Slug 3",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB7JJ8",                                 /* ID */
      "The Super Spy",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB8EJ8",                                 /* ID */
      "Shock Troopers",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB8JJ8",                                 /* ID */
      "Shock Troopers",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EB9JJ8",                                 /* ID */
      "Pulstar",                                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBAEJ8",                                 /* ID */
      "Magical Drop II",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBAJJ8",                                 /* ID */
      "Magical Drop II",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBAPJ8",                                 /* ID */
      "Magical Drop II",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBBEJ8",                                 /* ID */
      "Fighter's History Dynamite",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBBJJ8",                                 /* ID */
      "Fighter's History Dynamite",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBCJJ8",                                 /* ID */
      "Flying Power Disc",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBDEJ8",                                 /* ID */
      "Magical Drop III",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBDJJ8",                                 /* ID */
      "Magical Drop III",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBDPJ8",                                 /* ID */
      "Magical Drop III",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBEEJ8",                                 /* ID */
      "Street Slam",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBEJJ8",                                 /* ID */
      "Street Slam",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBEPJ8",                                 /* ID */
      "Street Slam",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBFEJ8",                                 /* ID */
      "Spin Master",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBFJJ8",                                 /* ID */
      "Spin Master",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBFPJ8",                                 /* ID */
      "Spin Master",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBGEJ8",                                 /* ID */
      "The King of Fighters '97",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBGJJ8",                                 /* ID */
      "The King of Fighters '97",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBGPJ8",                                 /* ID */
      "The King of Fighters '97",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBKJJ8",                                 /* ID */
      "Last Resort",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBLJJ8",                                 /* ID */
      "Tsuukai GanGan Koushinkyoku",            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBMJJ8",                                 /* ID */
      "Fire Suplex",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBNJJ8",                                 /* ID */
      "Fu'un Mokushiroku: Kakutou Sousei",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBOJJ8",                                 /* ID */
      "Fu'un Super Tag Battle",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBPJJ8",                                 /* ID */
      "League Bowling",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBQE",                                   /* ID */
      "Ninja Master's",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBQJJ8",                                 /* ID */
      "Ninja Master's",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBRJJ8",                                 /* ID */
      "Joy Joy Kid",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBSEJ8",                                 /* ID */
      "The Path of the Warrior: Art of Fighting 3",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBSJJ8",                                 /* ID */
      "The Path of the Warrior: Art of Fighting 3",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBTJJ8",                                 /* ID */
      "Crossed Swords",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBUEJ8",                                 /* ID */
      "Super Baseball 2020",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBUJJ8",                                 /* ID */
      "Super Baseball 2020",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBVJJ8",                                 /* ID */
      "Shin-Oh-Ken",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBWEJ8",                                 /* ID */
      "Sengoku",                                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBWJJ8",                                 /* ID */
      "Sengoku",                                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBXEJ8",                                 /* ID */
      "Sengoku 2",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBXJJ8",                                 /* ID */
      "Sengoku 2",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBZEJ8",                                 /* ID */
      "Real Bout Fatal Fury",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "EBZJJ8",                                 /* ID */
      "Real Bout Fatal Fury",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECAEJ8",                                 /* ID */
      "Real Bout Fatal Fury 2: The Newcomers",  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECAJJ8",                                 /* ID */
      "Real Bout Fatal Fury 2: The Newcomers",  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECCEJ8",                                 /* ID */
      "Metal Slug X",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECCJJ8",                                 /* ID */
      "Metal Slug X",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECDJJ8",                                 /* ID */
      "Stakes Winner: G1 Kanzen Seihahe no Michi",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECEEJ8",                                 /* ID */
      "The Last Blade 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECEJJ8",                                 /* ID */
      "The Last Blade 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECFJJ8",                                 /* ID */
      "Blazing Star",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECGEJ8",                                 /* ID */
      "Shock Troopers: 2nd Squad",              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECGJJ8",                                 /* ID */
      "Shock Troopers: 2nd Squad",              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECIEJ8",                                 /* ID */
      "Metal Slug 4",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECIJJ8",                                 /* ID */
      "Metal Slug 4",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECJEJ8",                                 /* ID */
      "The King of Fighters '99",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECJJJ8",                                 /* ID */
      "The King of Fighters '99",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECKEJ8",                                 /* ID */
      "NAM-1975",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECKJJ8",                                 /* ID */
      "NAM-1975",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECLJJ8",                                 /* ID */
      "Stakes Winner 2",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECNEJ8",                                 /* ID */
      "Sengoku 3",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "ECNJJ8",                                 /* ID */
      "Sengoku 3",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, true},                            /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,  true},                            /* dsp_enable_jit */
   },
   {  "Fxxxxx",                                 /* ID */
      "All NES Virtual Console games",          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G2ME01",                                 /* ID */
      "Metroid Prime 2: Echoes",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G2MJ01",                                 /* ID */
      "Metroid Prime 2: Echoes",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G2MP01",                                 /* ID */
      "Metroid Prime 2: Echoes",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G3FE69",                                 /* ID */
      "TimeSplitters Future Perfect",           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G3FP69",                                 /* ID */
      "TimeSplitters Future Perfect",           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G3FF69",                                 /* ID */
      "TimeSplitters Future Perfect",           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G3XE52",                                 /* ID */
      "X-Men: The Official Game",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G3XP52",                                 /* ID */
      "X-Men: The Official Game",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G8WE01",                                 /* ID */
      "Battalion Wars",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G8WP01",                                 /* ID */
      "Battalion Wars",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G9RD7D",                                 /* ID */
      "Crash Tag Team Racing",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G9RE7D",                                 /* ID */
      "Crash Tag Team Racing",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G9RF7D",                                 /* ID */
      "Crash Tag Team Racing",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "G9RP7D",                                 /* ID */
      "Crash Tag Team Racing",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GB3E51",                                 /* ID */
      "BMX XXX",                                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, true},                            /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GB3P51",                                 /* ID */
      "BMX XXX",                                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, true},                            /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GBSE8P",                                 /* ID */
      "Beach Spikers",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true, true},                             /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GBSP8P",                                 /* ID */
      "Beach Spikers",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true, true},                             /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GE4E7D",                                 /* ID */
      "4x4 Evolution 2",                        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GEAE8P",                                 /* ID */
      "Skies of Arcadia Legends",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GEAP8P",                                 /* ID */
      "Skies of Arcadia Legends",               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GF7E01",                                 /* ID */
      "Star Fox Assault",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GF7P01",                                 /* ID */
      "Star Fox Assault",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GFHP6V",                                 /* ID */
      "Neighbours From Hell",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true, true},                             /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GFZE01",                                 /* ID */
      "F-Zero GX",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,  true},                            /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GFZJ01",                                 /* ID */
      "F-Zero GX",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,  true},                            /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GFZP01",                                 /* ID */
      "F-Zero GX",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,  true},                            /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GFZJ8P",                                 /* ID */
      "F-Zero AX",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,  true},                            /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,  true},                            /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GH9P52",                                 /* ID */
      "Tony Hawk's American Wasteland",         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GHKD7D",                                 /* ID */
      "The Hulk",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {true,  true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GHKE7D",                                 /* ID */
      "The Hulk",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {true,  true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GHKF7D",                                 /* ID */
      "The Hulk",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {true,  true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GHKP7D",                                 /* ID */
      "The Hulk",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {true,  true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GHKS7D",                                 /* ID */
      "The Hulk",                               /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {true,  true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GISE36",                                 /* ID */
      "Second Sight",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GISP36",                                 /* ID */
      "Second Sight",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GK2D52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GK2E52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GK2F52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GK2I52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GK2P52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GKBEAF",                                 /* ID */
      "Baten Kaitos Eternal Wings and the Lost Ocean",                           /* Name */
      {false, true},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GKBJAF",                                 /* ID */
      "Baten Kaitos Eternal Wings and the Lost Ocean",                           /* Name */
      {false, true},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GKBPAF",                                 /* ID */
      "Baten Kaitos Eternal Wings and the Lost Ocean",                           /* Name */
      {false, true},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLCE52",                                 /* ID */
      "Lemony Snicket",                         /* Name */
      {true, true},                             /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLCF52",                                 /* ID */
      "Lemony Snicket",                         /* Name */
      {true, true},                             /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLRD64",                                 /* ID */
      "Star Wars - Rogue Squadron III - Rebel Strike",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLRE64",                                 /* ID */
      "Star Wars - Rogue Squadron III - Rebel Strike",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLRF64",                                 /* ID */
      "Star Wars - Rogue Squadron III - Rebel Strike",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLRJ13",                                 /* ID */
      "Star Wars - Rogue Squadron III - Rebel Strike",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLRP64",                                 /* ID */
      "Star Wars - Rogue Squadron III - Rebel Strike",                         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLSD64",                                 /* ID */
      "LucasArts Gladius",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLSE64",                                 /* ID */
      "LucasArts Gladius",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLSF64",                                 /* ID */
      "LucasArts Gladius",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GLSP64",                                 /* ID */
      "LucasArts Gladius",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GM2E8P",                                 /* ID */
      "Super Monkey Ball 2",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GM2J8P",                                 /* ID */
      "Super Monkey Ball 2",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GM2P8P",                                 /* ID */
      "Super Monkey Ball 2",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GMBE8P",                                 /* ID */
      "Super Monkey Ball",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GMBJ8P",                                 /* ID */
      "Super Monkey Ball",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GMBP8P",                                 /* ID */
      "Super Monkey Ball",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOSE41",                                 /* ID */
      "Open Season",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOSP41",                                 /* ID */
      "Open Season",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOSX41",                                 /* ID */
      "Open Season",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOWD69",                                 /* ID */
      "Need For Speed Most Wanted",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOWE69",                                 /* ID */
      "Need For Speed Most Wanted",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOWF69",                                 /* ID */
      "Need For Speed Most Wanted",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOWJ69",                                 /* ID */
      "Need For Speed Most Wanted",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GOWP69",                                 /* ID */
      "Need For Speed Most Wanted",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GQCD52",                                 /* ID */
      "Call of Duty 2: Big Red One",            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GQCE52",                                 /* ID */
      "Call of Duty 2: Big Red One",            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GQCF52",                                 /* ID */
      "Call of Duty 2: Big Red One",            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GQCI52",                                 /* ID */
      "Call of Duty 2: Big Red One",            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GQCP52",                                 /* ID */
      "Call of Duty 2: Big Red One",            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GQCS52",                                 /* ID */
      "Call of Duty 2: Big Red One",            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSWD64",                                 /* ID */
      "Star Wars: Rogue Leader",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSWE64",                                 /* ID */
      "Star Wars: Rogue Leader",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSWF64",                                 /* ID */
      "Star Wars: Rogue Leader",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSWI64",                                 /* ID */
      "Star Wars: Rogue Leader",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSWJ64",                                 /* ID */
      "Star Wars: Rogue Leader",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSWP64",                                 /* ID */
      "Star Wars: Rogue Leader",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSWS64",                                 /* ID */
      "Star Wars: Rogue Leader",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                            /* dsp_enable_jit */
   },
   {  "GSXE64",                                 /* ID */
      "Star Wars: The Clone Wars",              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {true,   true},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,   true},                           /* dsp_enable_jit */
   },
   {  "GSXP64",                                 /* ID */
      "Star Wars: The Clone Wars",              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {true,   true},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,   true},                           /* dsp_enable_jit */
   },
   {  "GSXJ64",                                 /* ID */
      "Star Wars: The Clone Wars",              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {true,   true},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {true,   true},                           /* dsp_enable_jit */
   },
   {  "GSZP41",                                 /* ID */
      "Speed Challenge - Jacques Villeneuve's Racing Vision",     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUME52",                                 /* ID */
      "Gun",                                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUMP52",                                 /* ID */
      "Gun",                                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUTD52",                                 /* ID */
      "Ultimate Spider-Man",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUTE52",                                 /* ID */
      "Ultimate Spider-Man",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUTF52",                                 /* ID */
      "Ultimate Spider-Man",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUTI52",                                 /* ID */
      "Ultimate Spider-Man",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUTJC0",                                 /* ID */
      "Ultimate Spider-Man",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUTP52",                                 /* ID */
      "Ultimate Spider-Man",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GUTS52",                                 /* ID */
      "Ultimate Spider-Man",                    /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVLD69",                                 /* ID */
      "Marvel Nemesis: Rise of the Imperfects", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVLE69",                                 /* ID */
      "Marvel Nemesis: Rise of the Imperfects", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVLF69",                                 /* ID */
      "Marvel Nemesis: Rise of the Imperfects", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVLE69",                                 /* ID */
      "Marvel Nemesis: Rise of the Imperfects", /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVSE8P",                                 /* ID */
      "Virtua Striker 3 ver. 2002",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVSP8P",                                 /* ID */
      "Virtua Striker 3 ver. 2002",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVS46E",                                 /* ID */
      "Virtua Striker 4 ver. 2006",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVS46J",                                 /* ID */
      "Virtua Striker 4 ver. 2006",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVS46E",                                 /* ID */
      "Virtua Striker 4 ver. 2006",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GVS46J",                                 /* ID */
      "Virtua Striker 4 ver. 2006",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GWJE52",                                 /* ID */
      "Tony Hawk's American Wasteland",         /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GWYE41",                                 /* ID */
      "Tom Clancy's Splinter Cell Double Agent",/* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GWYX41",                                 /* ID */
      "Tom Clancy's Splinter Cell Double Agent",/* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GXUE41",                                 /* ID */
      "Surf's Up",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GXXE01",                                 /* ID */
      "POKeMON XD",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "GXXP01",                                 /* ID */
      "POKeMON XD",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "HCLEXN",                                 /* ID */
      "Netflix",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "Pxxxxx",                                 /* ID */
      "All TurboGrafx 16 Virtual Console games ",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "Qxxxxx",                                 /* ID */
      "All TurboGrafx CD Virtual Console games ",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R4ZJ01",                                 /* ID */
      "Fatal Frame IV: Mask of the Lunar Eclipse",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R5DE5G",                                 /* ID */
      "Flip's Twisted World",                   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R7GEAF",                                 /* ID */
      "DragonBall",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {true,   true},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R7GJAF",                                 /* ID */
      "DragonBall",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {true,   true},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R7GPAF",                                 /* ID */
      "DragonBall",                             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {true,   true},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R8JEWR",                                 /* ID */
      "Lord of the Rings: Aragorn's Quest",     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R8JPWR",                                 /* ID */
      "Lord of the Rings: Aragorn's Quest",     /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R64E01",                                 /* ID */
      "Wii Music",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R64J01",                                 /* ID */
      "Wii Music",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R64K01",                                 /* ID */
      "Wii Music",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "R64P01",                                 /* ID */
      "Wii Music",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true,   true},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RB7E54",                                 /* ID */
      "Bully: Scholarship Edition",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {true,   true},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RB7P54",                                 /* ID */
      "Bully: Scholarship Edition",             /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {true,   true},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBLE8P",                                 /* ID */
      "Bleach: Shattered Blade",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBLJ8P",                                 /* ID */
      "Bleach: Shattered Blade",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBLP8P",                                 /* ID */
      "Bleach: Shattered Blade",                /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBTJ8P",                                 /* ID */
      "Sega Bass Fishing",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBTP8P",                                 /* ID */
      "Sega Bass Fishing",                      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBWE01",                                 /* ID */
      "Battalion Wars 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBWJ01",                                 /* ID */
      "Battalion Wars 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RBWP01",                                 /* ID */
      "Battalion Wars 2",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RCCE5G",                                 /* ID */
      "Cooking Mama: Cook Off",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RCCJC0",                                 /* ID */
      "Cooking Mama: Cook Off",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RCCPGT",                                 /* ID */
      "Cooking Mama: Cook Off",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RCPE18",                                 /* ID */
      "Kororinpa",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RCPJ18",                                 /* ID */
      "Kororinpa",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RCPP18",                                 /* ID */
      "Kororinpa",                              /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RDBE70",                                 /* ID */
      "Dragon Ball Z Budokai Tenkaichi 2",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RDBJAF",                                 /* ID */
      "Dragon Ball Z Budokai Tenkaichi 2",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RDBPAF",                                 /* ID */
      "Dragon Ball Z Budokai Tenkaichi 2",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RDBP70",                                 /* ID */
      "Dragon Ball Z Budokai Tenkaichi 2",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RDSE70",                                 /* ID */
      "Dragon Ball Z Budokai Tenkaichi 3",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RDSJAF",                                 /* ID */
      "Dragon Ball Z Budokai Tenkaichi 3",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RDSPAF",                                 /* ID */
      "Dragon Ball Z Budokai Tenkaichi 3",      /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RG2EXS",                                 /* ID */
      "Guilty Gear XX ^ Core",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RG2JJF",                                 /* ID */
      "Guilty Gear XX ^ Core",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RG2PGT",                                 /* ID */
      "Guilty Gear XX ^ Core",                  /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RGBE08",                                 /* ID */
      "Harvey Birdman: Attorney at Law",        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RGBP08",                                 /* ID */
      "Harvey Birdman: Attorney at Law",        /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RGME5D",                                 /* ID */
      "The Grim Adventures of Billy & Mandy",   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RGMP5D",                                 /* ID */
      "The Grim Adventures of Billy & Mandy",   /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RGSE8P",                                 /* ID */
      "Ghost Squad",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RGSJ8P",                                 /* ID */
      "Ghost Squad",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RGSP8P",                                 /* ID */
      "Ghost Squad",                            /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RI3E5D",                                 /* ID */
      "The Ant Bully",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RI3P5D",                                 /* ID */
      "The Ant Bully",                          /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RKDEEB",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RKDJEB",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RKDP01",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RKDPEB",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RLTENR",                                 /* ID */
      "London Taxi: Rush Hour",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RLTPNR",                                 /* ID */
      "London Taxi: Rush Hour",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RLTXUG",                                 /* ID */
      "London Taxi: Rush Hour",                 /* Name */
      {false, false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RMLEH4",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,      true},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RMLJH4",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,      true},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RMLK52",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,      true},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RMLP7U",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,      true},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RMLJH4",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,      true},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RMPE54",                                 /* ID */
      "MLB Power Pros",                         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RPMJA4",                                 /* ID */
      "MLB Power Pros",                         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RMPP54",                                 /* ID */
      "MLB Power Pros",                         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RNXEDA",                                 /* ID */
      "Naruto: Clash of Ninja Revolution",      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RNXPDA",                                 /* ID */
      "Naruto: Clash of Ninja Revolution",      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RODE01",                                 /* ID */
      "WarioWare: Smooth Moves",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RODJ01",                                 /* ID */
      "WarioWare: Smooth Moves",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RODK01",                                 /* ID */
      "WarioWare: Smooth Moves",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RODP01",                                 /* ID */
      "WarioWare: Smooth Moves",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RPGE5D",                                 /* ID */
      "Rampage: Total Destruction",             /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RPGP5D",                                 /* ID */
      "Rampage: Total Destruction",             /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RPYP9B",                                 /* ID */
      "Pangya! Golf with Style",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RQWEG9",                                 /* ID */
      "Puzzle Quest: Challenge of the Warlords",/* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RQWPG9",                                 /* ID */
      "Puzzle Quest: Challenge of the Warlords",/* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RRBE41",                                 /* ID */
      "Rayman Raving Rabbids",                  /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RRBJ41",                                 /* ID */
      "Rayman Raving Rabbids",                  /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RRBP41",                                 /* ID */
      "Rayman Raving Rabbids",                  /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RS5EC8",                                 /* ID */
      "SAMURAI WARRIORS KATANA",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RS5JC8",                                 /* ID */
      "SAMURAI WARRIORS KATANA",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RS5PC8",                                 /* ID */
      "SAMURAI WARRIORS KATANA",                /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSME8P",                                 /* ID */
      "Super Monkey Ball Banana Blitz",         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true, true},                             /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSMJ8P",                                 /* ID */
      "Super Monkey Ball Banana Blitz",         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true, true},                             /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSMP8P",                                 /* ID */
      "Super Monkey Ball Banana Blitz",         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true, true},                             /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSND69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSND69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSNE69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSNF69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSNP69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSNX69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {true, true},                             /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSPE01",                                 /* ID */
      "Wii Sports",                             /* Name */
      {0,     true},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSPJ01",                                 /* ID */
      "Wii Sports",                             /* Name */
      {0,     true},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RSPP01",                                 /* ID */
      "Wii Sports",                             /* Name */
      {0,     true},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RTRE18",                                 /* ID */
      "Fishing Master",                         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RTRJ18",                                 /* ID */
      "Fishing Master",                         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "RTRP18",                                 /* ID */
      "Fishing Master",                         /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, true},                            /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SCYE4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {true,  true},                            /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SCYP4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {true,  true},                            /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SCYX4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {true,  true},                            /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SCYY4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {true,  true},                            /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SCYZ4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,  true},                            /* mmu */
      {false, false},                           /* dcbz */
      {true,  true},                            /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SILE78",                                 /* ID */
      "Worms Battle Islands",                   /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SILP78",                                 /* ID */
      "Worms Battle Islands",                   /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, true},                            /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SMBE8P",                                 /* ID */
      "Super Monkey Ball Step And Roll",        /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SMBP8P",                                 /* ID */
      "Super Monkey Ball Step And Roll",        /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {true,   true},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SQIE4Q",                                 /* ID */
      "Disney Infinite",                        /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {true,   true},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SQIP4Q",                                 /* ID */
      "Disney Infinite",                        /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {true,   true},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "STSE4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {true,   true},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "STSP4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "STSP4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "STSY4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "STSZ4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {true,   true},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "SX8E52",                                 /* ID */
      "X-Men Destiny",                          /* Name */
      {0,     false},                           /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false,  true},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "WD9EA4",                                 /* ID */
      "Castlevania Rebirth",                    /* Name */
      {0,     true},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {false, false},                           /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
   {  "WZIPTW",                                 /* ID */
      "Rubik's: Rush",                          /* Name */
      {0,     false},                            /* cputhread */
      {false, false},                           /* enable_cheats */
      {false, false},                           /* wii_widescreen */
      {false, false},                           /* wii_language */
      {false, false},                           /* sync_gpu_on_skip_idle_hack */
      {false, false},                           /* fprf */
      {false, false},                           /* accuratenans */
      {false, false},                           /* mmu */
      {true, true},                             /* dcbz */
      {false, false},                           /* low_dcbz_hack */
      {false, false},                           /* sync_gpu */
      {false, false},                           /* fast_disc_speed */
      {false, false},                           /* dsp_hle */
      {0,     false},                           /* cpu_core */
      {false, false},                           /* hle_bs2 */
      {false, false},                           /* progressive_scan */
      {false, false},                           /* pal60 */
      {false, false},                           /* gamecube_language */
      {0.0f,  false},                           /* emulation_speed */
      {0,    false},                           /* gpu_determinism_mode */
      {0.0f,  false},                           /* overclock */
      {false, false},                           /* overclock_enable */
      {0,     false},                           /* dsp_volume */
      {false, false},                           /* dsp_enable_jit */
   },
};

static bool BootManagerConfigLoadGameIniLibretro(IniFile *iniFile, const char *id, u16 revision)
{
   for (unsigned i = 0; i < (sizeof(maps) / sizeof(maps[0])); i++)
   {
      if (!strcmp(id, maps[i].id))
      {
         IniFile::Section* settings = NULL;

         iniFile->Load(File::GetUserPath(F_DOLPHINCONFIG_IDX));

         printf("ID found within database: %s (name: %s)\n", id, maps[i].name);

         settings = iniFile->GetOrCreateSection("Core");

         if (maps[i].cputhread.enabled)
            settings->Set("CPUThread", maps[i].cputhread.value);
         
         if (maps[i].enable_cheats.enabled)
            settings->Set("EnableCheats", maps[i].enable_cheats.value);

         if (maps[i].sync_gpu_on_skip_idle_hack.enabled)
            settings->Set("SyncOnSkipIdle", maps[i].sync_gpu_on_skip_idle_hack.value);

         if (maps[i].fprf.enabled)
            settings->Set("FPRF", maps[i].fprf.value);
         
         if (maps[i].accuratenans.enabled)
            settings->Set("AccurateNaNs", maps[i].accuratenans.value);

         if (maps[i].mmu.enabled)
            settings->Set("MMU", maps[i].mmu.value);

         if (maps[i].dcbz.enabled)
            settings->Set("DCBZ", maps[i].mmu.value);

         if (maps[i].low_dcbz_hack.enabled)
            settings->Set("LowDCBZHack", maps[i].low_dcbz_hack.value);

         if (maps[i].sync_gpu.enabled)
            settings->Set("SyncGPU", maps[i].sync_gpu.value);

         if (maps[i].fast_disc_speed.enabled)
            settings->Set("FastDiscSpeed", maps[i].fast_disc_speed.value);

         if (maps[i].dsp_hle.enabled)
            settings->Set("DSPHLE", maps[i].dsp_hle.value);

         if (maps[i].cpu_core.enabled)
            settings->Set("CPUCore", maps[i].cpu_core.value);

         if (maps[i].hle_bs2.enabled)
            settings->Set("HLE_BS2", maps[i].hle_bs2.value);

         if (maps[i].progressive_scan.enabled)
            settings->Set("ProgressiveScan", maps[i].progressive_scan.value);

         if (maps[i].pal60.enabled)
            settings->Set("PAL60", maps[i].pal60.value);

         if (maps[i].gamecube_language.enabled)
            settings->Set("GameCubeLanguage", maps[i].gamecube_language.value);

         if (maps[i].emulation_speed.enabled)
            settings->Set("EmulationSpeed", maps[i].emulation_speed.value);

         if (maps[i].gpu_determinism_mode.enabled)
            settings->Set("GPUDeterminismMode", maps[i].gpu_determinism_mode.value);

         if (maps[i].overclock.enabled)
            settings->Set("Overclock", maps[i].overclock.value);

         if (maps[i].overclock_enable.enabled)
            settings->Set("OverclockEnable", maps[i].overclock_enable.value);

         settings = iniFile->GetOrCreateSection("DSP");

         if (maps[i].dsp_volume.enabled)
            settings->Set("Volume", maps[i].dsp_volume.value);

         if (maps[i].dsp_enable_jit.enabled)
            settings->Set("EnableJIT", maps[i].dsp_enable_jit.value);

         settings = iniFile->GetOrCreateSection("Wii");

         if (maps[i].wii_widescreen.enabled)
            settings->Set("Widescreen", maps[i].wii_widescreen.value);

         if (maps[i].wii_language.enabled)
            settings->Set("Language", maps[i].wii_language.value);

         return true;
      }
   }

   return false;
}
