struct ini_map
{
   const char *id;
   const char *name;

   /* Video */
   struct
   {
      int value;
      bool enabled;
   } projection_hack;
   struct
   {
      float value;
      bool enabled;
   } ph_sznear;
   struct
   {
      float value;
      bool enabled;
   } ph_szfar;
   struct
   {
      float value;
      bool enabled;
   } ph_znear;
   struct
   {
      float value;
      bool enabled;
   } ph_zfar;
   struct
   {
      bool value;
      bool enabled;
   } perf_queries;

   /* Video_Settings */
   struct
   {
      bool value;
      bool enabled;
   } vsync;
   struct
   {
      bool value;
      bool enabled;
   } widescreen_hack;
   struct
   {
      int value;
      bool enabled;
   } aspect_ratio;
   struct
   {
      bool value;
      bool enabled;
   } crop;
   struct
   {
      bool value;
      bool enabled;
   } use_xfb;
   struct
   {
      bool value;
      bool enabled;
   } use_real_xfb;
   struct
   {
      unsigned value;
      bool enabled;
   } safe_texture_cache_color_samples;

   struct
   {
      bool value;
      bool enabled;
   } hirestextures;
   struct
   {
      bool value;
      bool enabled;
   } convert_hirestextures;
   struct
   {
      bool value;
      bool enabled;
   } cache_hirestextures;
   struct
   {
      bool value;
      bool enabled;
   } enable_pixel_lighting;
   struct
   {
      bool value;
      bool enabled;
   } fast_depth_calc;
   struct
   {
      int value;
      bool enabled;
   } msaa;
   struct
   {
      bool value;
      bool enabled;
   } ssaa;
   struct
   {
      bool value;
      bool enabled;
   } force_truecolor;
   struct
   {
      int value;
      bool enabled;
   } efb_scale;
   struct
   {
      bool value;
      bool enabled;
   } disable_fog;
   struct
   {
      bool value;
      bool enabled;
   } backend_multithreading;
   struct
   {
      bool value;
      bool enabled;
   } command_buffer_execute_interval;

   /* Video_Hacks */
   struct
   {
      bool value;
      bool enabled;
   } efb_access_enable;
   struct
   {
      bool value;
      bool enabled;
   } bbox_enable;
   struct
   {
      bool value;
      bool enabled;
   } force_progressive;
   struct
   {
      bool value;
      bool enabled;
   } efb_to_texture_enable;
   struct
   {
      bool value;
      bool enabled;
   } efb_scaled_copy;
   struct
   {
      bool value;
      bool enabled;
   } efb_emulate_format_changes;
   struct
   {
      bool value;
      bool enabled;
   } vertex_rounding;

   /* Video_Enhancements */
   struct
   {
      unsigned value;
      bool enabled;
   } max_anisotropy;

   struct
   {
      bool value;
      bool enabled;
   } force_filtering;

   /* Video_Stereoscopy */

   struct
   {
      unsigned value;
      bool enabled;
   } stereo_convergence;

   struct
   {
      bool value;
      bool enabled;
   } stereo_efb_mono_depth;

   struct
   {
      unsigned value;
      bool enabled;
   } stereo_depth_percentage;

   struct
   {
      bool value;
      bool enabled;
   } stereo_mode;

   struct
   {
      bool value;
      bool enabled;
   } stereo_depth;

   struct
   {
      bool value;
      bool enabled;
   } stereo_swap_eyes;

};

struct ini_map maps[] =
{
   /* TODO/FIXME - Skipping FAAE01 to FASE01 - not sure why EFBToTextureEnable is empty here */
   {  "Cxxxxx",                                 /* ID */
      "All Virtual Console Commodore 64 games", /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "D43E01",                                 /* ID */
      "ZELDA OCARINA MULTI PACK",               /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "D43J01",                                 /* ID */
      "ZELDA OCARINA MULTI PACK",               /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */


      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "D43P01",                                 /* ID */
      "ZELDA OCARINA MULTI PACK",               /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "DD2P41",                                 /* ID */
      "Just Dance 2 (Demo)",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,    true},                            /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "DLSE64",                                 /* ID */
      "Star Wars: Rogue Squadron III: Rebel Strike : Limited Edition Bonus Disc (Demo)", /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false, true},                            /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "DLSP64",                                 /* ID */
      "Star Wars: Rogue Squadron III: Rebel Strike : Limited Edition Bonus Disc (Demo)", /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {false, true},                            /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "Exxxxx",                                 /* ID */
      "All Virtual Console Arcade and NeoGeo Virtual Console games", /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ESWE8P",                                 /* ID */
      "Wonder Boy II",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E5ZE8P",                                 /* ID */
      "Super Hang-On",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E6ME9B",                                 /* ID */
      "TECMO BOWL",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  false},                           /* use_xfb */
      {true,  false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E6NE9B",                                 /* ID */
      "Solomon's Key",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  false},                           /* use_xfb */
      {true,  false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E6QE9B",                                 /* ID */
      "RYGAR",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  false},                           /* use_xfb */
      {true,  false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E6VE8P",                                 /* ID */
      "Zaxxon",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E6WE8P",                                 /* ID */
      "Golden Axe",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E6XE8P",                                 /* ID */
      "Altered Beast",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E7ZEAF",                                 /* ID */
      "The Tower of Druaga",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E52E08",                                 /* ID */
      "1942",                                   /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E53E08",                                 /* ID */
      "BLACK TIGER",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E54E08",                                 /* ID */
      "GHOSTS'N GOBLINS",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E55E08",                                 /* ID */
      "WoB:COMMANDO",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E56E08",                                 /* ID */
      "EXED EXES",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E57E08",                                 /* ID */
      "SONSON",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E62E8P",                                 /* ID */
      "Space Harrier",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E63E8P",                                 /* ID */
      "Shinobi",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E73EAF",                                 /* ID */
      "Mappy",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  false},                           /* use_xfb */
      {true,  false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "E79EAF",                                 /* ID */
      "Gaplus",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  false},                           /* use_xfb */
      {true,  false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "Fxxxxx",                                 /* ID */
      "All NES Virtual Console games",          /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     true},                            /* max_anisotropy */
      {false, true},                            /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2BE5G",                                 /* ID */
      "Black & Bruised",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2BP7D",                                 /* ID */
      "Black & Bruised",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2ME01",                                 /* ID */
      "Metroid Prime 2: Echoes",                /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2MJ01",                                 /* ID */
      "Metroid Prime 2: Echoes",                /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2MP01",                                 /* ID */
      "Metroid Prime 2: Echoes",                /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2OE41",                                 /* ID */
      "Prince of Persia: Warrior Within",       /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2OP41",                                 /* ID */
      "Prince of Persia: Warrior Within",       /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2VE08",                                 /* ID */
      "Viewtiful Joe 2",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,   false},                             /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2VP08",                                 /* ID */
      "Viewtiful Joe 2",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {true,  true},                            /* use_real_xfb */
      {0,   false},                             /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2XE8P",                                 /* ID */
      "SONIC GEMS COLLECTION",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {4096,  true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G2XP8P",                                 /* ID */
      "SONIC GEMS COLLECTION",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {4096,  true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3AD69",                                 /* ID */
      "The Lord of The Rings - The Third Age",  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3AE69",                                 /* ID */
      "The Lord of The Rings - The Third Age",  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3AF69",                                 /* ID */
      "The Lord of The Rings - The Third Age",  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3FE69",                                 /* ID */
      "TimeSplitters Future Perfect",           /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {true,  true},                            /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3FP69",                                 /* ID */
      "TimeSplitters Future Perfect",           /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {true,  true},                            /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3FF69",                                 /* ID */
      "TimeSplitters Future Perfect",           /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {true,  true},                            /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3LE8P",                                 /* ID */
      "Super Monkey Ball Adventure",            /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {7,     true},                            /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3QEA4",                                 /* ID */
      "TMNT3",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },

   {  "G3RD52",                                 /* ID */
      "Shrek 2",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3RE52",                                 /* ID */
      "Shrek 2",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3RF52",                                 /* ID */
      "Shrek 2",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3RP52",                                 /* ID */
      "Shrek 2",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3XE52",                                 /* ID */
      "X-Men: The Official Game",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true },                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G3XP52",                                 /* ID */
      "X-Men: The Official Game",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,   true },                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G4CE54",                                 /* ID */
      "Charlie and The Chocolate Factory",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G4CP54",                                 /* ID */
      "Charlie and The Chocolate Factory",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G4ME69",                                 /* ID */
      "The Sims: Bustin Out GameCube",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G4MP69",                                 /* ID */
      "The Sims: Bustin Out GameCube",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G4SE01",                                 /* ID */
      "The Legend of Zelda: Four Swords",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G4SP01",                                 /* ID */
      "The Legend of Zelda: Four Swords",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G5NEAF",                                 /* ID */
      "Namco Museum 50th Anniversary",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G5NP69",                                 /* ID */
      "Namco Museum 50th Anniversary",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G5SE7D",                                 /* ID */
      "Spyro",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G5SP7D",                                 /* ID */
      "Spyro",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G5TE69",                                 /* ID */
      "Tiger Woods PGA TOUR 2005",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G5TP69",                                 /* ID */
      "Tiger Woods PGA TOUR 2005",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G6QE08",                                 /* ID */
      "Mega Man Anniversary Collection",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G6TE5G",                                 /* ID */
      "Teen Titans",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G6TP5G",                                 /* ID */
      "Teen Titans",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G6WE69",                                 /* ID */
      "Tiger Woods PGA TOUR 06",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G6WP69",                                 /* ID */
      "Tiger Woods PGA TOUR 06",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G8ME01",                                 /* ID */
      "Paper Mario: The Thousand-Year Door",    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {545,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G8MJ01",                                 /* ID */
      "Paper Mario: The Thousand-Year Door",    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {545,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G8MP01",                                 /* ID */
      "Paper Mario: The Thousand-Year Door",    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {545,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9SE8P",                                 /* ID */
      "Sonic Heroes",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,      true},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {2,      true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9SJ8P",                                 /* ID */
      "Sonic Heroes",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,      true},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {2,      true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9SP8P",                                 /* ID */
      "Sonic Heroes",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,      true},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {2,      true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9TD52",                                 /* ID */
      "Shark Tale",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9TE52",                                 /* ID */
      "Shark Tale",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9TF52",                                 /* ID */
      "Shark Tale",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9TI52",                                 /* ID */
      "Shark Tale",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "G9TP52",                                 /* ID */
      "Shark Tale",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAFJ01",                                 /* ID */
      "Doubutsu no Mori Plus/Animal Crossing",  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {623,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAFP01",                                 /* ID */
      "Doubutsu no Mori Plus/Animal Crossing",  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {623,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAFU01",                                 /* ID */
      "Doubutsu no Mori Plus/Animal Crossing",  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {623,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAKE5D",                                 /* ID */
      "Midway Arcade Treasures",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GALE01",                                 /* ID */
      "Super Smash Bros Melee",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {64,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GALJ01",                                 /* ID */
      "Super Smash Bros Melee",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {64,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GALP01",                                 /* ID */
      "Super Smash Bros Melee",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {64,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAPE52",                                 /* ID */
      "American Chopper 2",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAUE08",                                 /* ID */
      "auto modellista",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAUJ08",                                 /* ID */
      "auto modellista",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAVE78",                                 /* ID */
      "Avatar: The Legend of Aang",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAVP78",                                 /* ID */
      "Avatar: The Legend of Aang",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAVY78",                                 /* ID */
      "Avatar: The Legend of Aang",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GAYE5D",                                 /* ID */
      "Midway Arcade Treasures 2",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBHDC8",                                 /* ID */
      "Mystic Heroes",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBHFC8",                                 /* ID */
      "Mystic Heroes",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBHPC8",                                 /* ID */
      "Mystic Heroes",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBLE52",                                 /* ID */
      "BLOODY ROAR(R): PRIMAL FURY",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBLP52",                                 /* ID */
      "BLOODY ROAR(R): PRIMAL FURY",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBME7F",                                 /* ID */
      "Batman: Dark Tomorrow",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBMJ28",                                 /* ID */
      "Batman: Dark Tomorrow",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBMP7F",                                 /* ID */
      "Batman: Dark Tomorrow",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBVE41",                                 /* ID */
      "Batman: Vengeance",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBVP41",                                 /* ID */
      "Batman: Vengeance",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBWD64",                                 /* ID */
      "Star Wars Bounty Hunter",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBWE64",                                 /* ID */
      "Star Wars Bounty Hunter",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBWF64",                                 /* ID */
      "Star Wars Bounty Hunter",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GBWP64",                                 /* ID */
      "Star Wars Bounty Hunter",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GC2E9G",                                 /* ID */
      "Conflict: Desert Storm II",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GC6E01",                                 /* ID */
      "Pokemon Colosseum",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GC6P01",                                 /* ID */
      "Pokemon Colosseum",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GC9P6S",                                 /* ID */
      "Conan (disc 0)",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCCE01",                                 /* ID */
      "Final Fantasy Crystal Chronicles",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCCJ01",                                 /* ID */
      "FINAL FANTASY Crystal Chronicles",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCCJGC",                                 /* ID */
      "FINAL FANTASY Crystal Chronicles",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCCP01",                                 /* ID */
      "FINAL FANTASY Crystal Chronicles",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCDE08",                                 /* ID */
      "Resident Evil Code Veronica X",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false,  true},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCDJ08",                                 /* ID */
      "Resident Evil Code Veronica X",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false,  true},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCDP08",                                 /* ID */
      "Resident Evil Code Veronica X",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false,  true},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCEE41",                                 /* ID */
      "Tom Clancy's Splinter Cell",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCEP41",                                 /* ID */
      "Tom Clancy's Splinter Cell",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCIE69",                                 /* ID */
      "The Sims",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCIP69",                                 /* ID */
      "The Sims",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCNE7D",                                 /* ID */
      "Crash Nitro Kart",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCNP7D",                                 /* ID */
      "Crash Nitro Kart",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCPE6S",                                 /* ID */
      "Casper",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCPP6S",                                 /* ID */
      "Casper",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCZE69",                                 /* ID */
      "Catwoman",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GCZP69",                                 /* ID */
      "Catwoman",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDDE41",                                 /* ID */
      "Disney's Donald Duck Goin' Quackers",    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDEE71",                                 /* ID */
      "Baldur's Gate: Dark Alliance",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDGE7H",                                 /* ID */
      "Dragon's Lair 3D",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDGP78",                                 /* ID */
      "Dragon's Lair 3D",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDME01",                                 /* ID */
      "Disney's Magical Mirror starring Mickey Mouse", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDMJ01",                                 /* ID */
      "Disney's Magical Mirror starring Mickey Mouse", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDMP01",                                 /* ID */
      "Disney's Magical Mirror starring Mickey Mouse", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDSE78",                                 /* ID */
      "Dark Summit",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDSP78",                                 /* ID */
      "Dark Summit",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDTE69",                                 /* ID */
      "Def Jam Vendetta",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GDTP69",                                 /* ID */
      "Def Jam Vendetta",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GE3E5D",                                 /* ID */
      "Midway Arcade Treasures 3",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GE9E5D",                                 /* ID */
      "Ed, Edd n Eddy",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEAE8P",                                 /* ID */
      "Skies of Arcadia Legends",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEAP8P",                                 /* ID */
      "Skies of Arcadia Legends",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEDE01",                                 /* ID */
      "Eternal Darkness",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEDP01",                                 /* ID */
      "Eternal Darkness",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEND69",                                 /* ID */
      "007: Everything or Nothing",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GENE69",                                 /* ID */
      "007: Everything or Nothing",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GENP69",                                 /* ID */
      "007: Everything or Nothing",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GENS69",                                 /* ID */
      "007: Everything or Nothing",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEOE08",                                 /* ID */
      "Capcom Vs. SNK 2 EO",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEOP08",                                 /* ID */
      "Capcom Vs. SNK 2 EO",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEZE8P",                                 /* ID */
      "BillyHatcher",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GEZP8P",                                 /* ID */
      "BillyHatcher",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GF4E52",                                 /* ID */
      "Fantastic Four",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GF4P52",                                 /* ID */
      "Fantastic Four",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GF7E01",                                 /* ID */
      "Star Fox Assault",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GF7P01",                                 /* ID */
      "Star Fox Assault",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFBE5D",                                 /* ID */
      "FireBlade",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {true,   true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFDD69",                                 /* ID */
      "Freedom Fighters",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFDE69",                                 /* ID */
      "Freedom Fighters",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFFE5D",                                 /* ID */
      "Freaky Flyers",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFGEA4",                                 /* ID */
      "Frogger Beyond",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFGPA4",                                 /* ID */
      "Frogger Beyond",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFYE69",                                 /* ID */
      "FIFA Street 2",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GFYP69",                                 /* ID */
      "FIFA Street 2",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGEE41",                                 /* ID */
      "Beyond Good and Evil",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGEP41",                                 /* ID */
      "Beyond Good and Evil",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGEY41",                                 /* ID */
      "Beyond Good and Evil",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGNE5D",                                 /* ID */
      "The Grim Adventures of Billy & Mandy",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGRE41",                                 /* ID */
      "Tom Clancy's Ghost Recon",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGSEA4",                                 /* ID */
      "Metal Gear Solid - The Twin Snakes",     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {512,    true},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGSJA4",                                 /* ID */
      "Metal Gear Solid - The Twin Snakes",     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {512,    true},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGSPA4",                                 /* ID */
      "Metal Gear Solid - The Twin Snakes",     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {512,    true},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGVD78",                                 /* ID */
      "The SpongeBob SquarePants Movie",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGVE78",                                 /* ID */
      "The SpongeBob SquarePants Movie",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGVP78",                                 /* ID */
      "The SpongeBob SquarePants Movie",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGVX78",                                 /* ID */
      "The SpongeBob SquarePants Movie",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGYE41",                                 /* ID */
      "GR2GC",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GGZE52",                                 /* ID */
      "Madagascar",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GH2E69",                                 /* ID */
      "Need For Speed: Hot Pursuit 2",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GH2P69",                                 /* ID */
      "Need For Speed: Hot Pursuit 2",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GH7E5D",                                 /* ID */
      "Happy Feet",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHNE71",                                 /* ID */
      "Hunter: The Reckoning",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHNX71",                                 /* ID */
      "Hunter: The Reckoning",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHQE7D",                                 /* ID */
      "The Simpsons Hit & Run",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHQP7D",                                 /* ID */
      "The Simpsons Hit & Run",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHRE78",                                 /* ID */
      "Hot Wheels World Race",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHSE69",                                 /* ID */
      "Harry Potter Chariot of Fire",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHSJ69",                                 /* ID */
      "Harry Potter Chariot of Fire",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHSP69",                                 /* ID */
      "Harry Potter Chariot of Fire",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHSX69",                                 /* ID */
      "Harry Potter Chariot of Fire",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHSY69",                                 /* ID */
      "Harry Potter Chariot of Fire",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHVE08",                                 /* ID */
      "Disney's Hide & Sneak",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHVP08",                                 /* ID */
      "Disney's Hide & Sneak",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {true,   true},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GHYE6S",                                 /* ID */
      "Haunted Mansion",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GIAE7D",                                 /* ID */
      "Ice Age 2 The Meltdown",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GIAP7D",                                 /* ID */
      "Ice Age 2 The Meltdown",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GICD78",                                 /* ID */
      "The Incredibles",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GICE78",                                 /* ID */
      "The Incredibles",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GICF78",                                 /* ID */
      "The Incredibles",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GICH78",                                 /* ID */
      "The Incredibles",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GICJG9",                                 /* ID */
      "The Incredibles",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GICP78",                                 /* ID */
      "The Incredibles",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GILE51",                                 /* ID */
      "Aggressive Inline",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GILP51",                                 /* ID */
      "Aggressive Inline",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GIQE78",                                 /* ID */
      "The Incredibles 2",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GIZE52",                                 /* ID */
      "Ty the Tasmanian Tiger 3",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GJ3PA4",                                 /* ID */
      "International Superstar Soccer 3",       /* Name */
      {1,      true},                           /* projection_hack */
      {1,    true},                             /* ph_sznear */
      {0,    true},                             /* ph_szfar */
      {0,   false},                             /* ph_znear */
      {0.1f,    true},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GJBE5G",                                 /* ID */
      "Bomberman Jetters",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GJKD52",                                 /* ID */
      "Jedi Knight II: Jedi Outcast",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GJKE52",                                 /* ID */
      "Jedi Knight II: Jedi Outcast",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GJKF52",                                 /* ID */
      "Jedi Knight II: Jedi Outcast",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GJKP52",                                 /* ID */
      "Jedi Knight II: Jedi Outcast",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GJNE78",                                 /* ID */
      "Jimmy Neutron Boy Genius",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK2D52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK2E52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK2F52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK2I52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK2P52",                                 /* ID */
      "Spider-Man 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK4E01",                                 /* ID */
      "Baten Kaitos Origins",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK4J01",                                 /* ID */
      "Baten Kaitos Origins",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK5E78",                                 /* ID */
      "Monster House",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK5X78",                                 /* ID */
      "Monster House",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK7E08",                                 /* ID */
      "Killer7 Disk 1",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GK7P08",                                 /* ID */
      "Killer7 Disk 1",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKBEAF",                                 /* ID */
      "Baten Kaitos Eternal Wings and the Lost Ocean",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKBJAF",                                 /* ID */
      "Baten Kaitos Eternal Wings and the Lost Ocean",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKBPAF",                                 /* ID */
      "Baten Kaitos Eternal Wings and the Lost Ocean",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKHEA4",                                 /* ID */
      "King Arthur",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKHPA4",                                 /* ID */
      "King Arthur",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKLD69",                                 /* ID */
      "The Lord of the Rings; The Return of the King",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKLE69",                                 /* ID */
      "The Lord of the Rings; The Return of the King",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKLF69",                                 /* ID */
      "The Lord of the Rings; The Return of the King",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKLI69",                                 /* ID */
      "The Lord of the Rings; The Return of the King",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKLJ69",                                 /* ID */
      "The Lord of the Rings; The Return of the King",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKLP69",                                 /* ID */
      "The Lord of the Rings; The Return of the King",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKLS69",                                 /* ID */
      "The Lord of the Rings; The Return of the King",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKME41",                                 /* ID */
      "Prince Of Persia The Two Thrones",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKMP41",                                 /* ID */
      "Prince Of Persia The Two Thrones",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKOE70",                                 /* ID */
      "Kao the Kangaroo",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKOP6V",                                 /* ID */
      "Kao the Kangaroo",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKOP70",                                 /* ID */
      "Kao the Kangaroo",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKSE52",                                 /* ID */
      "Kelly Slater's Pro Surfer",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKSP52",                                 /* ID */
      "Kelly Slater's Pro Surfer",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKSX52",                                 /* ID */
      "Kelly Slater's Pro Surfer",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKUE9G",                                 /* ID */
      "Scaler",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKYE01",                                 /* ID */
      "Kirby's Air Ride",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {6,      true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKYJ01",                                 /* ID */
      "Kirby's Air Ride",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {6,      true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKYP01",                                 /* ID */
      "Kirby's Air Ride",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {6,      true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKZD9G",                                 /* ID */
      "Codename: Kids Next Door",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKZE9G",                                 /* ID */
      "Codename: Kids Next Door",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKZF9G",                                 /* ID */
      "Codename: Kids Next Door",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKZP54",                                 /* ID */
      "Codename: Kids Next Door",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GKZP9G",                                 /* ID */
      "Codename: Kids Next Door",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GL5E4F",                                 /* ID */
      "Lego Gamecube",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {1,      true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GL7E64",                                 /* ID */
      "star Wars Lego 2",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {1,      true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GL7P64",                                 /* ID */
      "star Wars Lego 2",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {1,      true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GLCE52",                                 /* ID */
      "Lemony Snicket",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {true,   true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GLCF52",                                 /* ID */
      "Lemony Snicket",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {true,   true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RH8E4F",                                 /* ID */
      "Tomb Raider Underworld",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RH8JEL",                                 /* ID */
      "Tomb Raider Underworld",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RH8P4F",                                 /* ID */
      "Tomb Raider Underworld",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RH8X4F",                                 /* ID */
      "Tomb Raider Underworld",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RHOE8P",                                 /* ID */
      "House of the Dead: Overkill",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RHOJ8P",                                 /* ID */
      "House of the Dead: Overkill",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RHOP8P",                                 /* ID */
      "House of the Dead: Overkill",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RIPEAF",                                 /* ID */
      "One Piece Unlimited Adventure",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RIPJAF",                                 /* ID */
      "One Piece Unlimited Adventure",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RIPPAF",                                 /* ID */
      "One Piece Unlimited Adventure",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RIUJAF",                                 /* ID */
      "One Piece Unlimited Cruise Episode 2",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RIUPAF",                                 /* ID */
      "One Piece Unlimited Cruise Episode 2",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RIZENR",                                 /* ID */
      "Indianapolis 500 Legends",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RJ2E52",                                 /* ID */
      "Quantum of Solace",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RK2EEB",                                 /* ID */
      "Trauma Center New Blood",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RK2JEB",                                 /* ID */
      "Trauma Center New Blood",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RK2P01",                                 /* ID */
      "Trauma Center New Blood",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RKDEEB",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RKDJEB",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RKDP01",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RKDPEB",                                 /* ID */
      "Trauma Center SO",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RLJPKM",                                 /* ID */
      "Line Rider Freestyle",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RLSE8P",                                 /* ID */
      "Alien Syndrome",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RM3E01",                                 /* ID */
      "Metroid Prime 3: Corruption",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RM3J01",                                 /* ID */
      "Metroid Prime 3: Corruption",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RM3P01",                                 /* ID */
      "Metroid Prime 3: Corruption",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RM8E01",                                 /* ID */
      "Mario Party 8",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RM8J01",                                 /* ID */
      "Mario Party 8",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RM8K01",                                 /* ID */
      "Mario Party 8",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RM8P01",                                 /* ID */
      "Mario Party 8",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMCE01",                                 /* ID */
      "Mario Kart Wii",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,      true},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {613,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMCJ01",                                 /* ID */
      "Mario Kart Wii",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,      true},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {613,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMCK01",                                 /* ID */
      "Mario Kart Wii",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,      true},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {613,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMCP01",                                 /* ID */
      "Mario Kart Wii",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,      true},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {613,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMGE01",                                 /* ID */
      "Super Mario Galaxy",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMGJ01",                                 /* ID */
      "Super Mario Galaxy",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMGK01",                                 /* ID */
      "Super Mario Galaxy",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMGP01",                                 /* ID */
      "Super Mario Galaxy",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMHE08",                                 /* ID */
      "Monster Hunter Tri",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false,  true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMHJ08",                                 /* ID */
      "Monster Hunter Tri",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false,  true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMHP08",                                 /* ID */
      "Monster Hunter Tri",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false,  true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMKE01",                                 /* ID */
      "Mario Sports Mix",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMKJ01",                                 /* ID */
      "Mario Sports Mix",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMKP01",                                 /* ID */
      "Mario Sports Mix",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMLEH4",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMLJH4",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMLK52",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMLP7U",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMLJH4",                                 /* ID */
      "Metal Slug Anthology",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RMOE52",                                 /* ID */
      "Monster Jam",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RNOJ01",                                 /* ID */
      "Another Code R Kioku no Tobira",         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RNOP01",                                 /* ID */
      "Another Code R Kioku no Tobira",         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RO3EXJ",                                 /* ID */
      "Little King's Story",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RO3J99",                                 /* ID */
      "Little King's Story",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RO3P99",                                 /* ID */
      "Little King's Story",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RO9EFS",                                 /* ID */
      "Aqua Panic",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RO9PNK",                                 /* ID */
      "Aqua Panic",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {false, false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROAE36",                                 /* ID */
      "Overlord: Dark Legend",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROAP36",                                 /* ID */
      "Overlord: Dark Legend",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RODE01",                                 /* ID */
      "WarioWare; Smooth Moves",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RODJ01",                                 /* ID */
      "WarioWare; Smooth Moves",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RODK01",                                 /* ID */
      "WarioWare; Smooth Moves",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RODP01",                                 /* ID */
      "WarioWare; Smooth Moves",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROLE8P",                                 /* ID */
      "Mario & Sonic at the Olympic Winter Games", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROLJ01",                                 /* ID */
      "Mario & Sonic at the Olympic Winter Games", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROLK01",                                 /* ID */
      "Mario & Sonic at the Olympic Winter Games", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROLP8P",                                 /* ID */
      "Mario & Sonic at the Olympic Winter Games", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RONEG9",                                 /* ID */
      "Onechanbara: Bikini Zombie Slayers",     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RONJG9",                                 /* ID */
      "Onechanbara: Bikini Zombie Slayers",     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RONPG9",                                 /* ID */
      "Onechanbara: Bikini Zombie Slayers",     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROUJAF",                                 /* ID */
      "Onepiece Unlimited Cruise Episode 2",    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROUPAF",                                 /* ID */
      "Onepiece Unlimited Cruise Episode 2",    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROWE08",                                 /* ID */
      "Okami",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROWP08",                                 /* ID */
      "Okami",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "ROWJ08",                                 /* ID */
      "Okami",                                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPBE01",                                 /* ID */
      "Pokemon Battle Revolution",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {38,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPBJ01",                                 /* ID */
      "Pokemon Battle Revolution",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {38,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPBP01",                                 /* ID */
      "Pokemon Battle Revolution",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {38,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPJE7U",                                 /* ID */
      "Arc Rise Fantasia",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPJJ99",                                 /* ID */
      "Arc Rise Fantasia",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPOEC8",                                 /* ID */
      "Opoona",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPOJC8",                                 /* ID */
      "Opoona",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RPOPC8",                                 /* ID */
      "Opoona",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RQ6EJJ",                                 /* ID */
      "Cursed Mountain",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RQ6PKM",                                 /* ID */
      "Cursed Mountain",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RQ6XKM",                                 /* ID */
      "Cursed Mountain",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RRKE70",                                 /* ID */
      "Alone In the Dark",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RRKP70",                                 /* ID */
      "Alone In the Dark",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RRZEGY",                                 /* ID */
      "Rubik's Puzzle World",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RRZPGY",                                 /* ID */
      "Rubik's Puzzle World",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RS5EC8",                                 /* ID */
      "Samurai Warriors Katana",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RS5JC8",                                 /* ID */
      "Samurai Warriors Katana",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RS5PC8",                                 /* ID */
      "Samurai Warriors Katana",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSBE01",                                 /* ID */
      "Super Smash Bros. Brawl",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {136,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSBJ01",                                 /* ID */
      "Super Smash Bros. Brawl",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {136,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSBK01",                                 /* ID */
      "Super Smash Bros. Brawl",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {136,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSFE7U",                                 /* ID */
      "Muramasa: The Demon Blade",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSFJ99",                                 /* ID */
      "Muramasa: The Demon Blade",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSFP99",                                 /* ID */
      "Muramasa: The Demon Blade",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSHE69",                                 /* ID */
      "MySims Kingdom",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {3072,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSHJ13",                                 /* ID */
      "MySims Kingdom",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {3072,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSHK69",                                 /* ID */
      "MySims Kingdom",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {3072,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSHP69",                                 /* ID */
      "MySims Kingdom",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {3072,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSIE69",                                 /* ID */
      "MySims",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSIJ13",                                 /* ID */
      "MySims",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSIP69",                                 /* ID */
      "MySims",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSLEAF",                                 /* ID */
      "Soul Calibur Legends",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSLJAF",                                 /* ID */
      "Soul Calibur Legends",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSLKAF",                                 /* ID */
      "Soul Calibur Legends",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSLPAF",                                 /* ID */
      "Soul Calibur Legends",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSND69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSNE69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSNF69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSNP69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSNX69",                                 /* ID */
      "The Simpsons Game",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSXE69",                                 /* ID */
      "SSX Blur",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSXJ13",                                 /* ID */
      "SSX Blur",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSXK69",                                 /* ID */
      "SSX Blur",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RSXP69",                                 /* ID */
      "SSX Blur",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RT3E54",                                 /* ID */
      "Rockstar Games presents Table Tennis",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RT3JEL",                                 /* ID */
      "Rockstar Games presents Table Tennis",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RT3P54",                                 /* ID */
      "Rockstar Games presents Table Tennis",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RT4EAF",                                 /* ID */
      "Tales of Symphonia -Dawn of the new world-",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RT4JAF",                                 /* ID */
      "Tales of Symphonia -Dawn of the new world-",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RT4PAF",                                 /* ID */
      "Tales of Symphonia -Dawn of the new world-",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RT8E69",                                 /* ID */
      "Tiger Woods PGA Tour 08",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTME41",                                 /* ID */
      "TMNT",                                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {true,   true},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTMP41",                                 /* ID */
      "TMNT",                                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {true,   true},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTUEJJ",                                 /* ID */
      "Secret Files Tunguska",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTUFKM",                                 /* ID */
      "Secret Files Tunguska",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTUPKM",                                 /* ID */
      "Secret Files Tunguska",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTZE08",                                 /* ID */
      "Zack and Wiki: Quest for Barbaros' Treasure",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTZJ08",                                 /* ID */
      "Zack and Wiki: Quest for Barbaros' Treasure",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTZK08",                                 /* ID */
      "Zack and Wiki: Quest for Barbaros' Treasure",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RTZP08",                                 /* ID */
      "Zack and Wiki: Quest for Barbaros' Treasure",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RUUE01",                                 /* ID */
      "Animal Crossing Wii",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {381,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RUUJ01",                                 /* ID */
      "Animal Crossing Wii",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {381,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RUUK01",                                 /* ID */
      "Animal Crossing Wii",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {381,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RUUP01",                                 /* ID */
      "Animal Crossing Wii",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {381,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RWOE69",                                 /* ID */
      "Monopoly",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RWOJ13",                                 /* ID */
      "Monopoly",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RWOP69",                                 /* ID */
      "Monopoly",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RWSE8P",                                 /* ID */
      "MARIO & SONIC At The OlympicGames",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RWSJ01",                                 /* ID */
      "MARIO & SONIC At The OlympicGames",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RWSK01",                                 /* ID */
      "MARIO & SONIC At The OlympicGames",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RWSP8P",                                 /* ID */
      "MARIO & SONIC At The OlympicGames",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RX3E01",                                 /* ID */
      "ExciteBots",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RXXE4Q",                                 /* ID */
      "Spectrobes Origins",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RXXJ4Q",                                 /* ID */
      "Spectrobes Origins",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RXXP4Q",                                 /* ID */
      "Spectrobes Origins",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZDE01",                                 /* ID */
      "The Legend of Zelda: Twilight Princess [Wii]",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZDJ01",                                 /* ID */
      "The Legend of Zelda: Twilight Princess [Wii]",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZDK01",                                 /* ID */
      "The Legend of Zelda: Twilight Princess [Wii]",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZDP01",                                 /* ID */
      "The Legend of Zelda: Twilight Princess [Wii]",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZFPKM",                                 /* ID */
      "Secret Files 2 Puritas Cordis",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZJD69",                                 /* ID */
      "DeadSpace",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZJE69",                                 /* ID */
      "DeadSpace",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZJJ13",                                 /* ID */
      "DeadSpace",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZJP69",                                 /* ID */
      "DeadSpace",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZOE78",                                 /* ID */
      "World Of Zoo",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZOP78",                                 /* ID */
      "World Of Zoo",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZTE01",                                 /* ID */
      "Wii Sports Resort",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZTJ01",                                 /* ID */
      "Wii Sports Resort",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZTK01",                                 /* ID */
      "Wii Sports Resort",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZTP01",                                 /* ID */
      "Wii Sports Resort",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZTW01",                                 /* ID */
      "Wii Sports Resort",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "RZYE41",                                 /* ID */
      "My Word Coach",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S2EE41",                                 /* ID */
      "ABBA: You Can Dance",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S2EP41",                                 /* ID */
      "ABBA: You Can Dance",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S2LE01",                                 /* ID */
      "PokePark Wii2",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S2LJ01",                                 /* ID */
      "PokePark Wii2",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S2LP01",                                 /* ID */
      "PokePark Wii2",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S2WE78",                                 /* ID */
      "WWE All Stars",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S2WP78",                                 /* ID */
      "WWE All Stars",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S3BEWR",                                 /* ID */
      "Batman: The Brave and the Bold",         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S3BPWR",                                 /* ID */
      "Batman: The Brave and the Bold",         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S59E01",                                 /* ID */
      "Samurai Warriors 3",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S59JC8",                                 /* ID */
      "Samurai Warriors 3",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S59P01",                                 /* ID */
      "Samurai Warriors 3",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S72E01",                                 /* ID */
      "Kirby's Dream Collection Special Edition", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S72J01",                                 /* ID */
      "Kirby's Dream Collection Special Edition", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S75E69",                                 /* ID */
      "Monopoly Streets",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "S75P69",                                 /* ID */
      "Monopoly Streets",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SAKENS",                                 /* ID */
      "Sakura Wars: So Long, My Love",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SAKPNS",                                 /* ID */
      "Sakura Wars: So Long, My Love",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SB3E08",                                 /* ID */
      "Sengoku Basara",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SB3J08",                                 /* ID */
      "Sengoku Basara",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SB3P08",                                 /* ID */
      "Sengoku Basara",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SB4E01",                                 /* ID */
      "Super Mario Galaxy 2",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {929,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SB4J01",                                 /* ID */
      "Super Mario Galaxy 2",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {929,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SB4P01",                                 /* ID */
      "Super Mario Galaxy 2",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {929,    true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SBDE08",                                 /* ID */
      "Resident Evil The Darkside Chronicles",  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SBDJ08",                                 /* ID */
      "Resident Evil The Darkside Chronicles",  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SBDK08",                                 /* ID */
      "Resident Evil The Darkside Chronicles",  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SBDP08",                                 /* ID */
      "Resident Evil The Darkside Chronicles",  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SBXEWR",                                 /* ID */
      "The Bachelor The Video Game",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SC7D52",                                 /* ID */
      "Call of Duty: Black Ops",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SC7E52",                                 /* ID */
      "Call of Duty: Black Ops",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SC7F52",                                 /* ID */
      "Call of Duty: Black Ops",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SC7I52",                                 /* ID */
      "Call of Duty: Black Ops",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SC7P52",                                 /* ID */
      "Call of Duty: Black Ops",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SC7S52",                                 /* ID */
      "Call of Duty: Black Ops",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCAE18",                                 /* ID */
      "Calling",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCAJ18",                                 /* ID */
      "Calling",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCAP18",                                 /* ID */
      "Calling",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCYE4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {2048,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCYP4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {2048,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCYX4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {2048,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCYY4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {2048,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SCYZ4Q",                                 /* ID */
      "Cars 2",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {2048,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SD2E41",                                 /* ID */
      "Just Dance 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SD2K41",                                 /* ID */
      "Just Dance 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SD2P41",                                 /* ID */
      "Just Dance 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SD2Y41",                                 /* ID */
      "Just Dance 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SD2J01",                                 /* ID */
      "Just Dance Wii",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDBE78",                                 /* ID */
      "de Blob 2",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDBP78",                                 /* ID */
      "de Blob 2",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDMEG9",                                 /* ID */
      "Despicable Me",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDMPAF",                                 /* ID */
      "Despicable Me",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDNE41",                                 /* ID */
      "Just Dance",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDNP41",                                 /* ID */
      "Just Dance",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDWE18",                                 /* ID */
      "A Shadow's Tale",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDWJ18",                                 /* ID */
      "A Shadow's Tale",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SDWP18",                                 /* ID */
      "A Shadow's Tale",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SE2P69",                                 /* ID */
      "EA Sports Active 2",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEAE69",                                 /* ID */
      "EA Sports Active: More Workouts",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEAJ13",                                 /* ID */
      "EA Sports Active: More Workouts",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEAP69",                                 /* ID */
      "EA Sports Active: More Workouts",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEME4Q",                                 /* ID */
      "Disney Epic Mickey",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEMJ01",                                 /* ID */
      "Disney Epic Mickey",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEMP4Q",                                 /* ID */
      "Disney Epic Mickey",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEMX4Q",                                 /* ID */
      "Disney Epic Mickey",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEMY4Q",                                 /* ID */
      "Disney Epic Mickey",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SEMZ4Q",                                 /* ID */
      "Disney Epic Mickey",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SERE4Q",                                 /* ID */
      "Disney Epic Mickey 2: The Power of 2",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SERF4Q",                                 /* ID */
      "Disney Epic Mickey 2: The Power of 2",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SERP4Q",                                 /* ID */
      "Disney Epic Mickey 2: The Power of 2",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SF8E01",                                 /* ID */
      "Donkey Kong Country Returns",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {26,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SF8J01",                                 /* ID */
      "Donkey Kong Country Returns",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {26,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SF8P01",                                 /* ID */
      "Donkey Kong Country Returns",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {26,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SFIE01",                                 /* ID */
      "Mystery Case Files: The Malgrave Incident",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SFIP01",                                 /* ID */
      "Mystery Case Files: The Malgrave Incident",            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SFPPFR",                                 /* ID */
      "Fantastic Football Fan Party",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SG8EG9",                                 /* ID */
      "Yogi Bear",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SG8PAF",                                 /* ID */
      "Yogi Bear",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SH6E52",                                 /* ID */
      "Cabela's Big Game Hunter 2012",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SHLPA4",                                 /* ID */
      "Silent Hill: Shattered Memories",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SHWE41",                                 /* ID */
      "Hollywood Squares",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SILE78",                                 /* ID */
      "Worms Battle Islands",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SILP78",                                 /* ID */
      "Worms Battle Islands",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJBE52",                                 /* ID */
      "GoldenEye 007",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJBJ01",                                 /* ID */
      "GoldenEye 007",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJBP52",                                 /* ID */
      "GoldenEye 007",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJDE41",                                 /* ID */
      "Just Dance 3",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJDP41",                                 /* ID */
      "Just Dance 3",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJDX41",                                 /* ID */
      "Just Dance 3",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJDY41",                                 /* ID */
      "Just Dance 3",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJDZ41",                                 /* ID */
      "Just Dance 3",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJDJ01",                                 /* ID */
      "Just Dance Wii 2",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJEEPK",                                 /* ID */
      "Jumpstart Escape from Adventure Island", /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJXD41",                                 /* ID */
      "Just Dance 4",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJXE41",                                 /* ID */
      "Just Dance 4",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SJXP41",                                 /* ID */
      "Just Dance 4",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SK3EEB",                                 /* ID */
      "Trauma Team",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SKAEA4",                                 /* ID */
      "Karaoke Revolution Glee: Volume 1",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SKAPA4",                                 /* ID */
      "Karaoke Revolution Glee: Volume 1",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SKCE20",                                 /* ID */
      "Bigfoot - King of Crush",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SKGEA4",                                 /* ID */
      "Karaoke Revolution Glee: Volume 2",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SKJE78",                                 /* ID */
      "You Don't Know Jack",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SKOEA4",                                 /* ID */
      "Karaoke Revolution Glee: Volume 3",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SKVE20",                                 /* ID */
      "Kevin VanDam's Big Bass Challenge",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SL2J01",                                 /* ID */
      "Project Zero 2",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SL2P01",                                 /* ID */
      "Project Zero 2",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SLSEXJ",                                 /* ID */
      "The Last Story",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SLSJ01",                                 /* ID */
      "The Last Story",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SLSP01",                                 /* ID */
      "The Last Story",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SLWE41",                                 /* ID */
      "Where's Waldo? The Fantastic Journey",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMFE4Q",                                 /* ID */
      "Phineas and Ferb Across the 2nd Dimension",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMFP4Q",                                 /* ID */
      "Phineas and Ferb Across the 2nd Dimension",   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMNE01",                                 /* ID */
      "New Super Mario Bros. Wii",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {2211,   true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMNJ01",                                 /* ID */
      "New SUper Mario Bros. Wii",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {2211,   true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMNK01",                                 /* ID */
      "New SUper Mario Bros. Wii",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {2211,   true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMNP01",                                 /* ID */
      "New SUper Mario Bros. Wii",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {2211,   true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMNW01",                                 /* ID */
      "New SUper Mario Bros. Wii",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {2211,   true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMOE41",                                 /* ID */
      "Michael Jackson: The Experience",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMOJ41",                                 /* ID */
      "Michael Jackson: The Experience",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMOP41",                                 /* ID */
      "Michael Jackson: The Experience",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SMOX41",                                 /* ID */
      "Michael Jackson: The Experience",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNCE8P",                                 /* ID */
      "Sonic Colors",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false,  true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNCJ8P",                                 /* ID */
      "Sonic Colors",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false,  true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNCP8P",                                 /* ID */
      "Sonic Colors",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false,  true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNDE20",                                 /* ID */
      "Deal or No Deal",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNGEJJ",                                 /* ID */
      "Get Fit With Mel B",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNGPLG",                                 /* ID */
      "Get Fit With Mel B",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNJE69",                                 /* ID */
      "NBA Jam",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNJP69",                                 /* ID */
      "NBA Jam",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNSE52",                                 /* ID */
      "Nascar: The Game 2011",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNYEVZ",                                 /* ID */
      "Monster High: 13 Wishes",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SNYPVZ",                                 /* ID */
      "Monster High: 13 Wishes",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SOSEG9",                                 /* ID */
      "Turbo: Super Stunt Squad",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SOSPAF",                                 /* ID */
      "Turbo: Super Stunt Squad",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SOUE01",                                 /* ID */
      "The Legend of Zelda Skyward Sword",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SOUJ01",                                 /* ID */
      "The Legend of Zelda Skyward Sword",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SOUK01",                                 /* ID */
      "The Legend of Zelda Skyward Sword",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SOUP01",                                 /* ID */
      "The Legend of Zelda Skyward Sword",      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPDE52",                                 /* ID */
      "Spider-Man: Shattered Dimensions",       /* Name */
      {1,      true},                           /* projection_hack */
      {0,    true},                           /* ph_sznear */
      {0,    true},                           /* ph_szfar */
      {0.5f,    true},                           /* ph_znear */
      {0.5f,    true},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPDP52",                                 /* ID */
      "Spider-Man: Shattered Dimensions",       /* Name */
      {1,      true},                           /* projection_hack */
      {0,    true},                           /* ph_sznear */
      {0,    true},                           /* ph_szfar */
      {0.5f,    true},                           /* ph_znear */
      {0.5f,    true},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPRE41",                                 /* ID */
      "The Price Is Right 20 Edition",        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPTJEB",                                 /* ID */
      "Hospital. 6 nin no Ishi",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPVEA4",                                 /* ID */
      "Pro Evolution Soccer 2011",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPVPA4",                                 /* ID */
      "Pro Evolution Soccer 2011",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPVXA4",                                 /* ID */
      "Pro Evolution Soccer 2011",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SPVYA4",                                 /* ID */
      "Pro Evolution Soccer 2011",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SQDE8P",                                 /* ID */
      "Gunblade NY & LA Machineguns: Arcade Hits Pack",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SQDP8P",                                 /* ID */
      "Gunblade NY & LA Machineguns: Arcade Hits Pack",              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SQIE4Q",                                 /* ID */
      "Disney Infinity",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {2048,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SQIP4Q",                                 /* ID */
      "Disney Infinity",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {2048,   true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSQE01",                                 /* ID */
      "Mario Party 9",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSQJ01",                                 /* ID */
      "Mario Party 9",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSQP01",                                 /* ID */
      "Mario Party 9",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSRE20",                                 /* ID */
      "Wild West Shootout",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSRPXT",                                 /* ID */
      "Wild West Shootout",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSTEG9",                                 /* ID */
      "Kid Adventures Sky Captain",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSTPY5",                                 /* ID */
      "Kid Adventures Sky Captain",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SSZE5G",                                 /* ID */
      "Swords",                                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "STSE4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "STSP4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "STSX4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "STSY4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "STSZ4Q",                                 /* ID */
      "Toy Story 3",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SU7EG9",                                 /* ID */
      "Rise Of The Guardians",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SU7PAF",                                 /* ID */
      "Rise Of The Guardians",                  /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SUKE01",                                 /* ID */
      "Kirby Wii",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SUKJ01",                                 /* ID */
      "Kirby Wii",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SUKP01",                                 /* ID */
      "Kirby Wii",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVBE52",                                 /* ID */
      "Battleship",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVBP52",                                 /* ID */
      "Battleship",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVME01",                                 /* ID */
      "Super Mario Collection",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVMJ01",                                 /* ID */
      "Super Mario Collection",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVMP01",                                 /* ID */
      "Super Mario Collection",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVVEG9",                                 /* ID */
      "The Croods Prehistoric Party",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVVPAF",                                 /* ID */
      "The Croods Prehistoric Party",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVXE52",                                 /* ID */
      "Skylanders: Swap Force",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVXF52",                                 /* ID */
      "Skylanders: Swap Force",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVXI52",                                 /* ID */
      "Skylanders: Swap Force",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVXP52",                                 /* ID */
      "Skylanders: Swap Force",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVXY52",                                 /* ID */
      "Skylanders: Swap Force",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVZEVZ",                                 /* ID */
      "How To Train Your Dragon 2",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SVZPVZ",                                 /* ID */
      "How To Train Your Dragon 2",             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SX3J01",                                 /* ID */
      "Pandora's Tower",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SX3P01",                                 /* ID */
      "Pandora's Tower",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SX7E52",                                 /* ID */
      "Teenage Mutant Ninja Turtles",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SX7P52",                                 /* ID */
      "Teenage Mutant Ninja Turtles",           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SX8E52",                                 /* ID */
      "X-Men Destiny",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SXCE52",                                 /* ID */
      "Guitar Hero Smash Hits",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SXCP52",                                 /* ID */
      "Guitar Hero Smash Hits",                 /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SZBE69",                                 /* ID */
      "Rock Band 3",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "SZBP69",                                 /* ID */
      "Rock Band 3",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,      true},                           /* max_anisotropy */
      {false,  true},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "W2GE08",                                 /* ID */
      "Phoenix Wright Ace Attorney Justice For All",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "W2GP08",                                 /* ID */
      "Phoenix Wright Ace Attorney Justice For All",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "W3GE08",                                 /* ID */
      "Phoenix Wright Ace Attorney Trials and Tribulations",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "W3GP08",                                 /* ID */
      "Phoenix Wright Ace Attorney Trials and Tribulations",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "W3MELJ",                                 /* ID */
      "The Three Musketeers",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WA2E01",                                 /* ID */
      "Magnetica Twist",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WB2ETL",                                 /* ID */
      "Dangeresque 3",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WB3ETL",                                 /* ID */
      "8-Bit Is Enough",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WB4EGL",                                 /* ID */
      "Wild West Guns",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {true,   true},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WB6EGL",                                 /* ID */
      "TV Show King",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WB7EGL",                                 /* ID */
      "Midnight Pool",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WBXETL",                                 /* ID */
      "Homestar Ruiner",                        /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WBYETL",                                 /* ID */
      "StrongBadia the Free",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WBZETL",                                 /* ID */
      "Baddest of the Bands",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WC6EUP",                                 /* ID */
      "Chronos Twins DX",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WCHEJS",                                 /* ID */
      "Chess Challenge!",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WD9EA4",                                 /* ID */
      "Castlevania Rebirth",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WDOEA4",                                 /* ID */
      "Driift Mania",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WF4EGD",                                 /* ID */
      "Final Fantasy IV The After Years",       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WFHEPT",                                 /* ID */
      "Flight Control",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WFLE01",                                 /* ID */
      "Fluidity",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WFUEQQ",                                 /* ID */
      "Furry Legends",                          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WGGEE9",                                 /* ID */
      "Gabrielle's Ghostly",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WGLEVX",                                 /* ID */
      "Gene Labs",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WGSE08",                                 /* ID */
      "PWAA Ace Attorney",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WGSP08",                                 /* ID */
      "PWAA Ace Attorney",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {true,   true},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WHFETY",                                 /* ID */
      "Heavy Fire Special Operations",          /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WHPEGL",                                 /* ID */
      "Sexy Poker",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WHUEGL",                                 /* ID */
      "Ghost Mansion Party",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WHWEFJ",                                 /* ID */
      "HoopWorld",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WHWPFJ",                                 /* ID */
      "HoopWorld",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WIBEQK",                                 /* ID */
      "bittos+",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WJAEYJ",                                 /* ID */
      "Jam City Rollergirls",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WKDEGN",                                 /* ID */
      "Pirates",                                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WLEELU",                                 /* ID */
      "PooYoos Episode 1",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WLNELU",                                 /* ID */
      "PooYoos Episode 2",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WLOEHL",                                 /* ID */
      "LostWinds Wotm",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WLZEXY",                                 /* ID */
      "lilt line",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WMAEYS",                                 /* ID */
      "Magnetis",                               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WMBE01",                                 /* ID */
      "Maboshi's Arcade",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WMBP01",                                 /* ID */
      "Maboshi's Arcade",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WMGEKH",                                 /* ID */
      "Mart Racer",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WOYEPS",                                 /* ID */
      "Bit Boy!!",                              /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WP4ELU",                                 /* ID */
      "PooYoos - Episode 3",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WPAJ01",                                 /* ID */
      "Pokemon Fushigi no Dungeon: Ikuzo! Arashi no Boukendan",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WPFJ01",                                 /* ID */
      "Pokemon Fushigi no Dungeon: Susume! Honoo no Boukendan",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WPHJ01",                                 /* ID */
      "Pokemon Fushigi no Dungeon: Mezase! Hikari no Boukendan",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WPJEJW",                                 /* ID */
      "Pucca's kisses game",                    /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WPSE01",                                 /* ID */
      "Pokemon Rumble",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {20,     true},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WPUEGD",                                 /* ID */
      "Bust A Move Plus",                       /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WR5EEY",                                 /* ID */
      "Retro City Rampage",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WR9E08",                                 /* ID */
      "Mega Man 9",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WR9P08",                                 /* ID */
      "Mega Man 9",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WRIEGD",                                 /* ID */
      "Rainbow Islands T.A.",                   /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WRXE08",                                 /* ID */
      "Mega Man 10",                            /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WSLEE6",                                 /* ID */
      "The Magic Obelisk",                      /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {-1,     true},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WSREQT",                                 /* ID */
      "Space Trek",                             /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WTEELU",                                 /* ID */
      "Tales of Elastic Boy Mission 1",         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false,  true},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WTKEGL",                                 /* ID */
      "TV Show King 2",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {512,    true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WTUEKN",                                 /* ID */
      "Tumblebugs 2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WTXEJS",                                 /* ID */
      "Texas Hold'em Tournament",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WTXPJS",                                 /* ID */
      "Texas Hold'em Tournament",               /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {true,   true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WWAEQT",                                 /* ID */
      "WarMen Tactics",                         /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WXBEA4",                                 /* ID */
      "Ben 10 Alien Force",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WXPEYV",                                 /* ID */
      "Paint Splash",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WXREE9",                                 /* ID */
      "RF Ocean Challenge",                     /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,      true},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "WYMEFJ",                                 /* ID */
      "Yummy Yummy Cooking Jam",                /* Name */
      {0,     false},                           /* projection_hack */
      {0,   false},                           /* ph_sznear */
      {0,   false},                           /* ph_szfar */
      {0,   false},                           /* ph_znear */
      {0,   false},                           /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,   true},                           /* use_xfb */
      {false,  true},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {0,     false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },

   {  "D43U01",                                 /* ID */
      "ZELDA OCARINA MULTI PACK",               /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {false, false},                           /* use_xfb */
      {false, false},                           /* use_real_xfb */
      {0,     false},                           /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, true},                            /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {  "GRSEAF",                                 /* ID */
      "SOULCALIBUR2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {false, true},                            /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   },
   {
      "GRSPAF",                                 /* ID */
      "SOULCALIBUR2",                           /* Name */
      {0,     false},                           /* projection_hack */
      {0.0f,   false},                          /* ph_sznear */
      {0.0f,   false},                          /* ph_szfar */
      {0.0f,   false},                          /* ph_znear */
      {0.0f,   false},                          /* ph_zfar */
      {false, false},                           /* perf_queries */

      {false, false},                           /* vsync */
      {false, false},                           /* widescreen_hack */
      {0,     false},                           /* aspect_ratio */
      {false, false},                           /* crop */
      {true,  true},                            /* use_xfb */
      {false, true},                            /* use_real_xfb */
      {512,   true},                            /* safe_texture_cache_color_samples */
      {false, false},                           /* hirestextures */
      {false, false},                           /* convert_hirestextures */
      {false, false},                           /* cache_hirestextures */
      {false, false},                           /* enable_pixel_lighting */
      {false, false},                           /* fast_depth_calc */
      {0,     false},                           /* msaa */
      {false, false},                           /* ssaa */
      {false, false},                           /* force_true_color */
      {0,     false},                           /* efb_scale */
      {false, false},                           /* disable_fog */
      {false, false},                           /* backend_multithreading */
      {false, false},                           /* command_buffer_execute_interval */

      {false, false},                           /* efb_access_enable */
      {false, false},                           /* bbox_enable */
      {false, false},                           /* force_progressive */
      {false, false},                           /* efb_to_texture_enable */
      {false, false},                           /* efb_scaled_copy */
      {false, false},                           /* efb_emulate_format_changes */
      {false, false},                           /* vertex_rounding */
      {0,     false},                           /* max_anisotropy */
      {false, false},                           /* force_filtering */
      {false, false},                           /* stereo_convergence */
      {false, false},                           /* stereo_efb_mono_depth */
      {0,     false},                           /* stereo_depth_percentage */
      {false, false},                           /* stereo_mode */
      {false, false},                           /* stereo_depth */
      {false, false},                           /* stereo_swap_eyes */
   }
};

static bool VideoConfigLoadGameIniLibretro(IniFile *iniFile, const char *id, u16 revision)
{
   for (unsigned i = 0; i < (sizeof(maps) / sizeof(maps[0])); i++)
   {
      if (!strcmp(id, maps[i].id))
      {
         IniFile::Section* settings = NULL;

         iniFile->Load(File::GetUserPath(F_DOLPHINCONFIG_IDX));

         printf("ID found within database: %s (name: %s)\n", id, maps[i].name);

         settings = iniFile->GetOrCreateSection("Video_Settings");

         if (maps[i].vsync.enabled)
            settings->Set("VSync", maps[i].vsync.value);
         if (maps[i].widescreen_hack.enabled)
            settings->Set("wideScreenHack", maps[i].widescreen_hack.value);
         if (maps[i].aspect_ratio.enabled)
            settings->Set("AspectRatio", maps[i].aspect_ratio.value);
         if (maps[i].crop.enabled)
            settings->Set("Crop", maps[i].crop.value);
         if (maps[i].use_xfb.enabled)
            settings->Set("UseXFB", maps[i].use_xfb.value);
         if (maps[i].use_real_xfb.enabled)
            settings->Set("UseRealXFB", maps[i].use_real_xfb.value);
         if (maps[i].safe_texture_cache_color_samples.enabled)
            settings->Set("SafeTextureCacheColorSamples", maps[i].safe_texture_cache_color_samples.value);
         if (maps[i].hirestextures.enabled)
            settings->Set("HiresTextures", maps[i].hirestextures.value);
         if (maps[i].convert_hirestextures.enabled)
            settings->Set("ConvertHiresTextures", maps[i].convert_hirestextures.value);
         if (maps[i].cache_hirestextures.enabled)
            settings->Set("CacheHiresTextures", maps[i].cache_hirestextures.value);
         if (maps[i].enable_pixel_lighting.enabled)
            settings->Set("EnablePixelLighting", maps[i].enable_pixel_lighting.value);
         if (maps[i].fast_depth_calc.enabled)
            settings->Set("FastDepthCalc", maps[i].fast_depth_calc.value);
         if (maps[i].msaa.enabled)
            settings->Set("MSAA", maps[i].msaa.value);
         if (maps[i].ssaa.enabled)
            settings->Set("SSAA", maps[i].ssaa.value);
         if (maps[i].force_truecolor.enabled)
            settings->Set("ForceTrueColor", maps[i].force_truecolor.value);
         if (maps[i].efb_scale.enabled)
            settings->Set("EFBScale", maps[i].efb_scale.value);

         if (maps[i].disable_fog.enabled)
            settings->Set("DisableFog", maps[i].disable_fog.value);
         if (maps[i].backend_multithreading.enabled)
            settings->Set("BackendMultithreading", maps[i].backend_multithreading.value);
         if (maps[i].command_buffer_execute_interval.enabled)
            settings->Set("CommandBufferExecuteInterval", maps[i].command_buffer_execute_interval.value);

         settings = iniFile->GetOrCreateSection("Video_Enhancements");

         if (maps[i].force_filtering.enabled)
            settings->Set("ForceFiltering", maps[i].force_filtering.value);
         if (maps[i].max_anisotropy.enabled)
            settings->Set("MaxAnisotropy", maps[i].max_anisotropy.value);

#if 0
         /* PostProcessingShader */
#endif

         settings = iniFile->GetOrCreateSection("Video_Stereoscopy");

         if (maps[i].stereo_convergence.enabled)
            settings->Set("StereoConvergence", maps[i].stereo_convergence.value);

         if (maps[i].stereo_efb_mono_depth.enabled)
            settings->Set("StereoEFBMonoDepth", maps[i].stereo_efb_mono_depth.value);
         
         if (maps[i].stereo_depth_percentage.enabled)
            settings->Set("StereoDepthPercentage", maps[i].stereo_depth_percentage.value);

         if (maps[i].stereo_mode.enabled)
            settings->Set("StereoMode", maps[i].stereo_mode.value);

         if (maps[i].stereo_depth.enabled)
            settings->Set("StereoDepth", maps[i].stereo_depth.value);

         if (maps[i].stereo_swap_eyes.enabled)
            settings->Set("StereoSwapEyes", maps[i].stereo_swap_eyes.value);

         settings = iniFile->GetOrCreateSection("Video_Hacks");

         if (maps[i].efb_access_enable.enabled)
            settings->Set("EFBAccessEnable", maps[i].efb_access_enable.value);
         if (maps[i].bbox_enable.enabled)
            settings->Set("BBoxEnable", maps[i].bbox_enable.value);
         if (maps[i].force_progressive.enabled)
            settings->Set("ForceProgressive", maps[i].force_progressive.value);
         if (maps[i].efb_to_texture_enable.enabled)
            settings->Set("EFBToTextureEnable", maps[i].efb_to_texture_enable.value);
         if (maps[i].efb_scaled_copy.enabled)
            settings->Set("EFBScaledCopy", maps[i].efb_scaled_copy.value);
         if (maps[i].efb_emulate_format_changes.enabled)
            settings->Set("EFBEmulateFormatChanges", maps[i].efb_emulate_format_changes.value);
         if (maps[i].vertex_rounding.enabled)
            settings->Set("VertexRounding", maps[i].vertex_rounding.value);

         settings = iniFile->GetOrCreateSection("Video");

         if (maps[i].projection_hack.enabled)
            settings->Set("ProjectionHack", maps[i].projection_hack.value);

         if (maps[i].ph_sznear.enabled)
            settings->Set("PH_SZNear", maps[i].ph_sznear.value);
         if (maps[i].ph_szfar.enabled)
            settings->Set("PH_SZFar", maps[i].ph_szfar.value);
         if (maps[i].ph_znear.enabled)
            settings->Set("PH_ZNear", maps[i].ph_znear.value);
         if (maps[i].ph_zfar.enabled)
            settings->Set("PH_ZFar", maps[i].ph_zfar.value);
         if (maps[i].perf_queries.enabled)
            settings->Set("PerfQueriesEnable", maps[i].perf_queries.value);

         return true;
      }
   }

   return false;
}
